cordova.define('cordova/plugin_list', function(require, exports, module) {
	
module.exports = [
    {
        "id": "cordova-plugin-device.device",
        "file": "plugins/cordova-plugin-device/www/device.js",
        "pluginId": "cordova-plugin-device",
        "clobbers": [
            "device"
        ]
    },
    {
        "id": "cordova-plugin-file.DirectoryEntry",
        "file": "plugins/cordova-plugin-file/www/DirectoryEntry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.DirectoryEntry"
        ]
    },
    {
        "id": "cordova-plugin-file.DirectoryReader",
        "file": "plugins/cordova-plugin-file/www/DirectoryReader.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.DirectoryReader"
        ]
    },
    {
        "id": "cordova-plugin-file.Entry",
        "file": "plugins/cordova-plugin-file/www/Entry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Entry"
        ]
    },
    {
        "id": "cordova-plugin-file.File",
        "file": "plugins/cordova-plugin-file/www/File.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.File"
        ]
    },
    {
        "id": "cordova-plugin-file.FileEntry",
        "file": "plugins/cordova-plugin-file/www/FileEntry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileEntry"
        ]
    },
    {
        "id": "cordova-plugin-file.FileError",
        "file": "plugins/cordova-plugin-file/www/FileError.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileError"
        ]
    },
    {
        "id": "cordova-plugin-file.FileReader",
        "file": "plugins/cordova-plugin-file/www/FileReader.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileReader"
        ]
    },
    {
        "id": "cordova-plugin-file.FileSystem",
        "file": "plugins/cordova-plugin-file/www/FileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.FileUploadOptions",
        "file": "plugins/cordova-plugin-file/www/FileUploadOptions.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileUploadOptions"
        ]
    },
    {
        "id": "cordova-plugin-file.FileUploadResult",
        "file": "plugins/cordova-plugin-file/www/FileUploadResult.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileUploadResult"
        ]
    },
    {
        "id": "cordova-plugin-file.FileWriter",
        "file": "plugins/cordova-plugin-file/www/FileWriter.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileWriter"
        ]
    },
    {
        "id": "cordova-plugin-file.Flags",
        "file": "plugins/cordova-plugin-file/www/Flags.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Flags"
        ]
    },
    {
        "id": "cordova-plugin-file.LocalFileSystem",
        "file": "plugins/cordova-plugin-file/www/LocalFileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.LocalFileSystem"
        ],
        "merges": [
            "window"
        ]
    },
    {
        "id": "cordova-plugin-file.Metadata",
        "file": "plugins/cordova-plugin-file/www/Metadata.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Metadata"
        ]
    },
    {
        "id": "cordova-plugin-file.ProgressEvent",
        "file": "plugins/cordova-plugin-file/www/ProgressEvent.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.ProgressEvent"
        ]
    },
    {
        "id": "cordova-plugin-file.fileSystems",
        "file": "plugins/cordova-plugin-file/www/fileSystems.js",
        "pluginId": "cordova-plugin-file"
    },
    {
        "id": "cordova-plugin-file.requestFileSystem",
        "file": "plugins/cordova-plugin-file/www/requestFileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.requestFileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.resolveLocalFileSystemURI",
        "file": "plugins/cordova-plugin-file/www/resolveLocalFileSystemURI.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "window"
        ]
    },
    {
        "id": "cordova-plugin-file.isChrome",
        "file": "plugins/cordova-plugin-file/www/browser/isChrome.js",
        "pluginId": "cordova-plugin-file",
        "runs": true
    },
    {
        "id": "cordova-plugin-file.androidFileSystem",
        "file": "plugins/cordova-plugin-file/www/android/FileSystem.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "FileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.fileSystems-roots",
        "file": "plugins/cordova-plugin-file/www/fileSystems-roots.js",
        "pluginId": "cordova-plugin-file",
        "runs": true
    },
    {
        "id": "cordova-plugin-file.fileSystemPaths",
        "file": "plugins/cordova-plugin-file/www/fileSystemPaths.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "cordova"
        ],
        "runs": true
    },
    {
        "id": "cordova-plugin-camera.Camera",
        "file": "plugins/cordova-plugin-camera/www/CameraConstants.js",
        "pluginId": "cordova-plugin-camera",
        "clobbers": [
            "Camera"
        ]
    },
    {
        "id": "cordova-plugin-camera.CameraPopoverOptions",
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverOptions.js",
        "pluginId": "cordova-plugin-camera",
        "clobbers": [
            "CameraPopoverOptions"
        ]
    },
    {
        "id": "cordova-plugin-camera.camera",
        "file": "plugins/cordova-plugin-camera/www/Camera.js",
        "pluginId": "cordova-plugin-camera",
        "clobbers": [
            "navigator.camera"
        ]
    },
    {
        "id": "cordova-plugin-camera.CameraPopoverHandle",
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverHandle.js",
        "pluginId": "cordova-plugin-camera",
        "clobbers": [
            "CameraPopoverHandle"
        ]
    },
    {
        "id": "cordova-plugin-file-transfer.FileTransferError",
        "file": "plugins/cordova-plugin-file-transfer/www/FileTransferError.js",
        "pluginId": "cordova-plugin-file-transfer",
        "clobbers": [
            "window.FileTransferError"
        ]
    },
    {
        "id": "cordova-plugin-file-transfer.FileTransfer",
        "file": "plugins/cordova-plugin-file-transfer/www/FileTransfer.js",
        "pluginId": "cordova-plugin-file-transfer",
        "clobbers": [
            "window.FileTransfer"
        ]
    },
    {
        "id": "cordova-plugin-splashscreen.SplashScreen",
        "file": "plugins/cordova-plugin-splashscreen/www/splashscreen.js",
        "pluginId": "cordova-plugin-splashscreen",
        "clobbers": [
            "navigator.splashscreen"
        ]
    },
    {
        "id": "cordova-plugin-contacts.contacts",
        "file": "plugins/cordova-plugin-contacts/www/contacts.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "navigator.contacts"
        ]
    },
    {
        "id": "cordova-plugin-contacts.Contact",
        "file": "plugins/cordova-plugin-contacts/www/Contact.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "Contact"
        ]
    },
    {
        "id": "cordova-plugin-contacts.convertUtils",
        "file": "plugins/cordova-plugin-contacts/www/convertUtils.js",
        "pluginId": "cordova-plugin-contacts"
    },
    {
        "id": "cordova-plugin-contacts.ContactAddress",
        "file": "plugins/cordova-plugin-contacts/www/ContactAddress.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactAddress"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactError",
        "file": "plugins/cordova-plugin-contacts/www/ContactError.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactError"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactField",
        "file": "plugins/cordova-plugin-contacts/www/ContactField.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactField"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactFindOptions",
        "file": "plugins/cordova-plugin-contacts/www/ContactFindOptions.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactFindOptions"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactName",
        "file": "plugins/cordova-plugin-contacts/www/ContactName.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactName"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactOrganization",
        "file": "plugins/cordova-plugin-contacts/www/ContactOrganization.js",
        "pluginId": "cordova-plugin-contacts",
        "clobbers": [
            "ContactOrganization"
        ]
    },
    {
        "id": "cordova-plugin-contacts.ContactFieldType",
        "file": "plugins/cordova-plugin-contacts/www/ContactFieldType.js",
        "pluginId": "cordova-plugin-contacts",
        "merges": [
            ""
        ]
    },
    {
        "id": "cordova-plugin-network-information.network",
        "file": "plugins/cordova-plugin-network-information/www/network.js",
        "pluginId": "cordova-plugin-network-information",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "id": "cordova-plugin-network-information.Connection",
        "file": "plugins/cordova-plugin-network-information/www/Connection.js",
        "pluginId": "cordova-plugin-network-information",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "id": "cordova-plugin-statusbar.statusbar",
        "file": "plugins/cordova-plugin-statusbar/www/statusbar.js",
        "pluginId": "cordova-plugin-statusbar",
        "clobbers": [
            "window.StatusBar"
        ]
    },
    {
        "id": "cordova-plugin-geolocation.geolocation",
        "file": "plugins/cordova-plugin-geolocation/www/android/geolocation.js",
        "pluginId": "cordova-plugin-geolocation",
        "clobbers": [
            "navigator.geolocation"
        ]
    },


    
    {
        "id": "cordova-plugin-geolocation.PositionError",
        "file": "plugins/cordova-plugin-geolocation/www/PositionError.js",
        "pluginId": "cordova-plugin-geolocation",
        "runs": true
    },
    {
        "id": "cordova-plugin-dialogs.notification",
        "file": "plugins/cordova-plugin-dialogs/www/notification.js",
        "pluginId": "cordova-plugin-dialogs",
        "merges": [
            "navigator.notification"
        ]
    },
    {
        "id": "cordova-plugin-dialogs.notification_android",
        "file": "plugins/cordova-plugin-dialogs/www/android/notification.js",
        "pluginId": "cordova-plugin-dialogs",
        "merges": [
            "navigator.notification"
        ]
    },
    {
        "id": "cordova-sqlite-storage.SQLitePlugin",
        "file": "plugins/cordova-sqlite-storage/www/SQLitePlugin.js",
        "pluginId": "cordova-sqlite-storage",
        "clobbers": [
            "SQLitePlugin"
        ]
    },
    {
        "id": "cordova-plugin-zip.Zip",
        "file": "plugins/cordova-plugin-zip/zip.js",
        "pluginId": "cordova-plugin-zip",
        "clobbers": [
            "zip"
        ]
    },
    {
        "id": "des.Des",
        "file": "plugins/des/Des.js",
        "pluginId": "des",
        "clobbers": [
            "navigator.des"
        ]
    },
    {
        "id": "http.Http",
        "file": "plugins/http/Http.js",
        "pluginId": "http",
        "clobbers": [
            "navigator.http"
        ]
    },
    {
        "id": "weixin.WeixinShareType",
        "file": "plugins/weixin/WeixinShareType.js",
        "pluginId": "WeixinShareType",
        "clobbers": [
            "window.WeixinShareType"
        ]
    },
    {
        "id": "weixin.WeixinShareScene",
        "file": "plugins/weixin/WeixinShareScene.js",
        "pluginId": "WeixinShareScene",
        "clobbers": [
            "window.WeixinShareScene"
        ]
    },
    {
        "id": "weixin.WeixinShare",
        "file": "plugins/weixin/WeixinShare.js",
        "pluginId": "weixinShare",
        "clobbers": [
            "navigator.weixinShare"
        ]
    },
    {
        "id": "weixin.WeixinPay",
        "file": "plugins/weixin/WeixinPay.js",
        "pluginId": "weixinPay",
        "clobbers": [
            "navigator.weixinPay"
        ]
    },
    {
        "id": "weixin.WeixinLogin",
        "file": "plugins/weixin/WeixinLogin.js",
        "pluginId": "WeixinLogin",
        "clobbers": [
            "navigator.weixinLogin"
        ]
    },

     {
        "id": "weixin.WeixinLaunchMiniProgram",
        "file": "plugins/weixin/WeixinLaunchMiniProgram.js",
        "pluginId": "WeixinLaunchMiniProgram",
        "clobbers": [
            "navigator.WeixinLaunchMiniProgram"
        ]
    },
    {
        "id": "qq.QQShareType",
        "file": "plugins/qq/QQShareType.js",
        "pluginId": "QQShareType",
        "clobbers": [
            "window.QQShareType"
        ]
    },
    {
        "id": "qq.QQShareScene",
        "file": "plugins/qq/QQShareScene.js",
        "pluginId": "QQShareScene",
        "clobbers": [
            "window.QQShareScene"
        ]
    },
    {
        "id": "qq.QQShare",
        "file": "plugins/qq/QQShare.js",
        "pluginId": "qqShare",
        "clobbers": [
            "navigator.qqShare"
        ]
    },
    {
        "id": "util.DeviceUtil",
        "file": "plugins/util/DeviceUtil.js",
        "pluginId": "deviceUtil",
        "clobbers": [
            "navigator.deviceUtil"
        ]
    },
    {
        "id": "jpush.JPush",
        "file": "plugins/jpush/JPush.js",
        "pluginId": "jpush",
        "clobbers": [
            "navigator.jpush"
        ]
    },
    {
        "id": "browser.Browser",
        "file": "plugins/browser/Browser.js",
        "pluginId": "browser",
        "clobbers": [
            "navigator.browser"
        ]
    },
    
 {
        "id": "MicroPhoneSearch",
        "file": "plugins/microPhonesearch/MicroPhoneSearch.js",
        "pluginId": "cordova-plugin-MicroPhoneSearch",
        "clobbers": [
            "navigator.MicroPhoneSearch"
        ]
    },
   

    {
        "id": "ZhiBo",
        "file": "plugins/ZhiBo/ZhiBo.js",
        "pluginId": "ZhiBo",
        "clobbers": [
            "navigator.ZhiBo"
        ]
    },

     {
        "id": "AliPayPlugin",
        "file": "plugins/alipay/AliPayPlugin.js",
        "pluginId": "AliPay",
        "clobbers": [
            "navigator.AliPayPlugin"
        ]
    },

     {
        "id": "SuggestionPlugin",
        "file": "plugins/suggestion/SuggestionPlugin.js",
        "pluginId": "SuggestionPlugin",
        "clobbers": [
            "navigator.SuggestionPlugin"
        ]
    },

     {
        "id": "HeadLines",
        "file": "plugins/headlines/HeadLines.js",
        "pluginId": "HeadLines",
        "clobbers": [
            "navigator.HeadLines"
        ]
    },

     {
        "id": "ActivateAuth",
        "file": "plugins/activateauth/ActivateAuth.js",
        "pluginId": "ActivateAuth",
        "clobbers": [
            "navigator.ActivateAuth"
        ]
    },

  {
        "id": "NotiControlPlugin",
        "file": "plugins/noticontrol/noticontrol.js",
        "pluginId": "NotiControl",
        "clobbers": [
            "navigator.NotiControlPlugin"
        ]
    },

 {
        "id": "BestPayPlugin",
        "file": "plugins/bestpay/BestPayPlugin.js",
        "pluginId": "BestPay",
        "clobbers": [
            "navigator.BestPayPlugin"
        ]
    },

 {
        "id": "UpdateApkPlugin",
        "file": "plugins/updateapk/UpdateapkPlugin.js",
        "pluginId": "UpdateApk",
        "clobbers": [
            "navigator.UpdateApkPlugin"
        ]
    },


    {
        "id": "TyCloudDiskPlugin",
        "file": "plugins/tyclouddisk/TyCloudDiskPlugin.js",
        "pluginId": "TyCloudDiskPlugin",
        "clobbers": [
            "navigator.TyCloudDiskPlugin"
        ]
    },

     {
        "id": "VideoPlugin",
        "file": "plugins/video/VideoPlugin.js",
        "pluginId": "Video",
        "clobbers": [
            "navigator.VideoPlugin"
        ]
    },

     {
        "id": "Fontsize",
        "file": "plugins/fontsize/fontsize.js",
        "pluginId": "Fontsize",
        "clobbers": [
            "navigator.Fontsize"
        ]
    },

     {
        "id": "TyAccountPlugin",
        "file": "plugins/tianyiAccount/TyAccountPlugin.js",
        "pluginId": "TyAccountPlugin",
        "clobbers": [
            "navigator.TyAccountPlugin"
        ]
    },

     {
        "id": "SavePhotoPlugin",
        "file": "plugins/savePhoto/savephoto.js",
        "pluginId": "SavePhotoPlugin",
        "clobbers": [
            "navigator.SavePhotoPlugin"
        ]
    },

     {
        "id": "MeasureSpeed",
        "file": "plugins/measureSpeed/measureSpeed.js",
        "pluginId": "MeasureSpeed",
        "clobbers": [
            "navigator.MeasureSpeed"
        ]
    },
     
     {
        "id": "OCRPlugin",
        "file": "plugins/ocr/ocrplugin.js",
        "pluginId": "OCRPlugin",
        "clobbers": [
            "navigator.OCRPlugin"
        ]
    },
     {
        "id": "insertcode.InsertCode",
        "file": "plugins/insertcode/InsertCode.js",
        "pluginId": "InsertCode",
        "clobbers": [
            "navigator.InsertCode"
        ]
    },
    {
    	"id": "widget.DesktopWidget",
    	"file": "plugins/widget/DesktopWidget.js",
        "pluginId": "desktopWidget",
        "clobbers": [
            "navigator.desktopWidget"
        ]
    },
    {
    	"id": "widget.FlowNotificationWidget",
    	"file": "plugins/widget/FlowNotificationWidget.js",
        "pluginId": "flowNotificationWidget",
        "clobbers": [
            "navigator.flowNotificationWidget"
        ]
    },
    {
        "id": "util.Shake",
        "file": "plugins/util/Shake.js",
        "pluginId": "shake",
        "clobbers": [
            "navigator.shake"
        ]
    },
    {
        "id": "jifen.Jifen",
        "file": "plugins/jifen/Jifen.js",
        "pluginId": "jifen",
        "clobbers": [
            "navigator.jifen"
        ]
    },
    {
        "id": "qrcode.QRCode",
        "file": "plugins/qrcode/QRCode.js",
        "pluginId": "qrcode",
        "clobbers": [
            "navigator.qrcode"
        ]
    },
   
    {
    	"id": "surfing.SurfingLogin",
    	"file": "plugins/surfing/SurfingLogin.js",
    	"pluginId": "surfingLogin",
    	"clobbers": [
	         "navigator.surfingLogin"
	    ]
    },
    {
    	"id": "wifi.WifiManager",
    	"file": "plugins/wifi/WifiManager.js",
    	"pluginId": "wifiManager",
    	"clobbers": [
    	      "navigator.wifiManager"
         ]
    },
    {
    	"id": "wifi.FreeFlowAppStore",
    	"file": "plugins/wifi/FreeFlowAppStore.js",
    	"pluginId": "freeFlowAppStore",
    	"clobbers": [
    	      "navigator.freeFlowAppStore"
         ]
    },
    {
    	"id": "util.App",
    	"file": "plugins/util/App.js",
    	"pluginId": "app",
    	"clobbers": [
    	      "navigator.app"
         ]
    },
  
    {
    	"id": "util.IDCamera",
    	"file": "plugins/util/IDCamera.js",
    	"pluginId": "idCamera",
    	"clobbers": [
    	      "navigator.idCamera"
         ]
    }
    
];
module.exports.metadata = 
// TOP OF METADATA
{
    "cordova-plugin-whitelist": "1.2.2",
    "cordova-plugin-device": "1.1.2",
    "cordova-plugin-compat": "1.0.0",
    "cordova-plugin-file": "4.2.0",
    "cordova-plugin-camera": "2.2.0",
    "cordova-plugin-file-transfer": "1.5.1",
    "cordova-plugin-splashscreen": "3.2.2",
    "cordova-plugin-contacts": "2.1.0",
    "cordova-plugin-network-information": "1.2.1",
    "cordova-plugin-statusbar": "2.1.3",
    "cordova-plugin-console": "1.0.3",
    "cordova-plugin-geolocation": "2.2.0",
    "cordova-plugin-dialogs": "1.2.1",
    "cordova-sqlite-storage": "1.4.6",
    "cordova-plugin-zip": "3.1.0",
    "des":"1.0.0",
    "http":"1.0.0",
    "weixinShare":"1.0.0",
    "weixinPay":"1.0.0",
    "weixinLogin":"1.0.0",
    "WeixinLaunchMiniProgram":"1.0.0",
    "qqShare":"1.0.0",
    "deviceUtil":"1.0.0",
    "jpush":"1.0.0",
    "browser":"1.0.0",
  
    "ZhiBo":"1.0.0",
    "AliPay":"1.0.0",
    "SuggestionPlugin":"1.0.0",
    "ActivateAuth":"1.0.0",
    "BestPay":"1.0.0",
    "UpdateApk":"1.0.0",
    "HeadLines":"1.0.0",
    "TyCloudDiskPlugin":"1.0.0",
    "Video":"1.0.0",
    "NotiControl":"1.0.0", 
    "TyAccountPlugin":"1.0.0",
    "SavePhotoPlugin":"1.0.0",
    "MeasureSpeed":"1.0.0",
    "MicroPhoneSearch":"1.0.0",
    "OCRPlugin":"1.0.0",
    "InsertCode":"1.0.0",
    "desktopWidget":"1.0.0",
    "flowNotificationWidget":"1.0.0",
    "shake":"1.0.0",
    "qrcode":"1.0.0",
    "jifen":"1.0.0",
    "Fontsize" :"1.0.0",
    "surfingLogin":"1.0.0",
    "wifiManager":"1.0.0",
    "freeFlowAppStore":"1.0.0",
    "app":"1.0.0",
    "idCamera":"1.0.0"
};
// BOTTOM OF METADATA
});