;APPBASE.define('uiDefault',function(require, exports, module){
	var tool = require('tool');
	var ui = require('ui');
	var main = require('main');
	var framework = require('framework');
	var defaultUI,commonUI;

	/**
	 * 默认主题定义
	 */
	defaultUI = {
		realname:function(option,uiName){
			var id = ui.getUID(uiName);
			if(!option.confirmBtn){
				option.confirmBtn = '确定';
			}
			if(!option.title){
				option.title = '提示';
			}
			var div = $('#' + id);
			if(tool.validate.isNull(div[0])){
				var strBuilder = tool.stringBuilder.get();
				strBuilder.append('<div class="ty-mask" id="').append(id).append('">');
				strBuilder.append('<div class="ty-o3 ty-k17 ty-h2 ty-bj-white " style="z-index:1000;left:7.5%;top:20%;">');
		        strBuilder.append('<div class="ty-m1 ty-tc-top-gray ">');
		        strBuilder.append('<img src="'+ handleDomainContent("http://app3.api.go189.cn:10000/tycc/temp/msg_sm.png") +'" class="ty-k20">');
		        strBuilder.append('</div>');
		        strBuilder.append('<p class="ty-m1 ty-q1 ty-d1 ty-ft-gray03 ty-i10 ty-l18 ev-content"></p>');
		        strBuilder.append('<div class=" ty-j2 ty-m1 ty-font-blue  ty-b1 ty-i3 ty-d1">');
		        strBuilder.append('<div class="ty-k10 ty-c4 ty-l20 ev-cancel"></div>');
		        strBuilder.append('<div class="ty-k10 ty-c4 ty-l20 ty-j3 ev-confirm"></div>');
		        strBuilder.append('</div>');
		        strBuilder.append('<span class="ty-o2" style="top:-3.5%;right:-10.5%;"><img src="'+ handleDomainContent("http://app3.api.go189.cn:10000/tycc/temp/close_pic.png") +'" class="ty-k10"></span>');
		    	strBuilder.append('</div>');
		    	strBuilder.append('</div>');
				div = $(strBuilder.toString());
				ui.addUIDOM(div);
				main.onClick(div.find('div.ev-cancel'),function(e){
					var option = div.data('option');
					APP.main.updateData('realnameModelUi','0');
					ui.hide(uiName);
					if(option.type == 'alert'){
						option && option.confirmFunc && option.confirmFunc(option);
					}else{
						option && option.cancelFunc && option.cancelFunc(option);
					}
				});
				main.onClick(div.find('div.ev-confirm'),function(e){
					var option = div.data('option');
					APP.main.updateData('realnameModelUi','0');
					ui.hide(uiName);
					option && option.confirmFunc && option.confirmFunc(option);
				});
				main.onClick(div.find('img:last'),function(e){
					APP.main.updateData('realnameModelUi','0');
					ui.hide(uiName);
				});
			}
			if(option.type == 'alert'){
				div.find('div.ev-confirm').hide();
				div.find('div.ev-cancel').html(option.confirmBtn);
			}else{
				div.find('div.ev-confirm').show();
				div.find('div.ev-cancel').html(option.cancelBtn);
				div.find('div.ev-confirm').html(option.confirmBtn);
			}
			div.find('p.ev-content').html(option.content);
			ui.show(uiName,option);
			div.data('option',option);
		},
		loading:function(option,uiName){//注册加载框ui
			var id = ui.getUID(uiName);
			var div = $('#' + id);
			if(!div[0]){
				strBuilder.append('<div id="').append(id).append('" style="position:relative;">');
				strBuilder.append('<div class="m-jump-wrap-new" style="z-index:100;">');
		        strBuilder.append('</div>');
		        strBuilder.append('<div class="g-load-bg"></div>');
		        strBuilder.append('</div>');
		        div = $(strBuilder.toString());
		        ui.addUIDOM(div);
			}else{
				div.show();
			}
		},
		tip:function(option,uiName){//tip弹框
            var id = ui.getUID(uiName);
            var div = $('#' + id);
            if(tool.validate.isNull(div[0])){
             	var strBuilder = tool.stringBuilder.newInstance();
		            strBuilder.append('<div id="').append(id).append('" style="position:relative;">');
		            strBuilder.append('<div class="dl-dialog-tips1" style="z-index:100;"><p>'+option.content+'</p></div>');
		            strBuilder.append('</div>');
		            div = $(strBuilder.toString());
		            ui.addUIDOM(div);

            }else{
		            div.find('div.dl-dialog-tips1').find('p').html(option.content);
		            ui.show(uiName,option);

            }
            if(div && div.find('div.dl-dialog-tips1')){
            	var dailogHeight = div.find('div.dl-dialog-tips1').height();
		            div.find('div.dl-dialog-tips1').css({
		              top:(window.innerHeight - dailogHeight) * 0.4
		            });
            }
            div.data('option',option);
            var option = div.data('option');
            setTimeout(function(){
           		ui.hide(uiName);
           		option && option.callback && option.callback(option);
           	},2000);

        },


      tip2:function(option,uiName){//tip弹框
            var id = ui.getUID(uiName);
            var div = $('#' + id);
            if(tool.validate.isNull(div[0])){
             	var strBuilder = tool.stringBuilder.newInstance();
		            strBuilder.append('<div id="').append(id).append('" style="position:relative;">');
		            strBuilder.append('<div class="dl-dialog-tips2" style="z-index:100;"><p>'+option.content+'</p></div>');
		            strBuilder.append('</div>');
		            div = $(strBuilder.toString());
		            ui.addUIDOM(div);

            }else{
		            div.find('div.dl-dialog-tips2').find('p').html(option.content);
		            ui.show(uiName,option);

            }
            if(div && div.find('div.dl-dialog-tips2')){
            	var dailogHeight = div.find('div.dl-dialog-tips2').height();
		            div.find('div.dl-dialog-tips2').css({
		              top:(window.innerHeight - dailogHeight) * 0.8
		            });
            }
            div.data('option',option);
            var option = div.data('option');
            setTimeout(function(){
           		ui.hide(uiName);
           		option && option.callback && option.callback(option);
           	},2000);

        },
		alert:function(option,uiName){//弹框
			if(option.content.indexOf('您长时间未操作或在其他地方登录')>=0||option.content.indexOf('鉴权不通过')>=0 || option.content.indexOf('重新登陆')>=0){
               option.content = '登录信息已失效，请重新登录';
               ui.ui('default.tip',option);
               return;
            }
			var id = ui.getUID(uiName);
			if(!option.confirmBtn){
				option.confirmBtn = '确定';
			}
			if(!option.title){
				option.title = '提示';
			}
			var div = $('#' + id);
			if(tool.validate.isNull(div[0])){
				var strBuilder = tool.stringBuilder.get();
				strBuilder.append('<div id="').append(id).append('">');
				strBuilder.append('<div class="blackBg"></div>');
				strBuilder.append('<div class="llPromoteInfo">');
				strBuilder.append('<div class=" b3">');
				strBuilder.append('<p class="b1 m1 i6 j1 l13 commonAlertTitle">').append(option.title).append('</p>');
				strBuilder.append('<div class="m1  c4 i3  b2 l10 l13 commonAlertContent">');
				strBuilder.append(option.content);
				strBuilder.append('</div>');
				strBuilder.append('<div class="k20 ">');
				strBuilder.append('<p class="a1 ztBtn blue llPromoteExtraBtn">').append(option.confirmBtn).append('</p>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				div = $(strBuilder.toString());
				ui.addUIDOM(div);
				div.find('div.blackBg').css({
					top:0,
					bottom:0,
					lef:0,
					right:0
					//opacity: 0.3
				});
				var dailogHeight = div.find('div.llPromoteInfo').height();
				div.find('div.llPromoteInfo').css({
					top:(window.innerHeight - dailogHeight) * 0.4
				});
				main.onClick(div.find('p.llPromoteExtraBtn'),function(e){
					var option = div.data('option');
					ui.hide(uiName);
					option && option.callback && option.callback(option);
				});
			}else{
				div.find('p.commonAlertTitle').html(option.title);
				div.find('div.commonAlertContent').html(option.content);
				div.find('p.llPromoteExtraBtn').html(option.confirmBtn);
				ui.show(uiName,option);
				div.find('div.blackBg').css({
					top:0,
					bottom:0,
					lef:0,
					right:0
					//opacity: 0.3
				});
				var dailogHeight = div.find('div.llPromoteInfo').height();
				div.find('div.llPromoteInfo').css({
					top:(window.innerHeight - dailogHeight) * 0.4
				});
			}
			div.data('option',option);
			/*showConfirm(option.title,option.content,function(){
				option.callback && option.callback(option);
			});*/
		},
		confirm:function(option,uiName){//确认框
			var id = ui.getUID(uiName);//uiName.replace(/[.]/g,'');
			if(!option.confirmBtn){
				option.confirmBtn = '确定';
			}
			if(!option.cancelBtn){
				option.cancelBtn = '取消';
			}
			if(!option.title){
				option.title = '提示';
			}
			var div = $('#' + id);
			if(tool.validate.isNull(div[0])){
				var strBuilder = tool.stringBuilder.get();
				strBuilder.append('<div id="').append(id).append('">');
				strBuilder.append('<div class="blackBg"></div>');
				strBuilder.append('<div class="llPromoteInfo">');
				strBuilder.append('<div class=" b3">');
				strBuilder.append('<p class="b1 m1 i6 j1 l13 commonConfirmAlertTitle">').append(option.title).append('</p>');
				if(option.align){
					strBuilder.append('<div class="commonConfirmAlertContent d1" style="text-align:').append(option.align).append(';">');
				}else{
					strBuilder.append('<div class="commonConfirmAlertContent d1">');
				}
				strBuilder.append(option.content);
				strBuilder.append('</div>');
				strBuilder.append('<div class="b1 d1">');
				strBuilder.append('<p class="a1 ztBtnSmaller grayFont3  llPromoteCancelBtn">').append(option.cancelBtn).append('</p>');
				strBuilder.append('<p class="a1 ztBtnSmaller lightBlue  llpromoteEnsureBtn">').append(option.confirmBtn).append('</p>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				strBuilder.append('</div>');
				div = $(strBuilder.toString());
				//if(option.fromIndex){
				//	$("div.ui-page-active").find('div.page_content').append(div);
				//}else{
					ui.addUIDOM(div);
				//}
				div.find('div.blackBg').css({
					height:window.innerHeight,
					width:window.innerWidth,
					zIndex:'10'
				});
				var dailogHeight = div.find('div.llPromoteInfo').height();
				div.find('div.llPromoteInfo').css({
					top:(window.innerHeight - dailogHeight) * 0.4
				});
				main.onClick(div.find('p.llPromoteCancelBtn'),function(e){
					var option = div.data('option');
					ui.hide(uiName);
					option && option.cancel && option.cancel(option);
				});
				main.onClick(div.find('p.llpromoteEnsureBtn'),function(e){
					var option = div.data('option');
					ui.hide(uiName);
					option && option.confirm && option.confirm(option);
				});
			}else{
				div.find('p.commonConfirmAlertTitle').html(option.title);
				div.find('div.commonConfirmAlertContent').html(option.content);
				div.find('p.llPromoteCancelBtn').html(option.cancelBtn);
				div.find('p.llpromoteEnsureBtn').html(option.confirmBtn);
				if(option.align){
					div.find('div.commonConfirmAlertContent').css({textAlign:option.align});
				}else{
					div.find('div.commonConfirmAlertContent').css({textAlign:'left'});
				}
				ui.show(uiName,option);
				div.find('div.blackBg').css({
					height:window.innerHeight,
					width:window.innerWidth,
					zIndex:'10'
				});
				var dailogHeight = div.find('div.llPromoteInfo').height();
				div.find('div.llPromoteInfo').css({
					top:(window.innerHeight - dailogHeight) * 0.4
				});
			}
			div.data('option',option);
			/*$('#loadBodyPage').popup({
				id:id,
				title:option.title,
				message:option.content,
				cancelOnly:false,
				cancelText:option.cancelBtn,
				doneText:option.confirmBtn,
				addCssClass:option.css,
				cancelClass:option.cancelClass,
				doneClass:option.doneClass,
				cancelCallback:function(){
					option.cancel && option.cancel(option);
				},
				doneCallback:function(){
					option.confirm && option.confirm(option);
				}
			});*/
			/*showConfirmSelect(option.title,option.content,function(){
				option.confirm && option.confirm(option);
			},function(){
				option.cancel && option.cancel(option);
			},option.confirmBtn,option.cancelBtn);*/
		},
		city:function(option,uiName){
			var main = APP.main;
		    var ui = APP.ui;
		    var id = APP.ui.getUID(uiName);
		    var builder = APP.tool.stringBuilder.newInstance();
		    var div = $('#' + id);
		    div.remove();
		    var curValue = option.code;

		    builder.clear();
		    builder.append('<div id="').append(id).append('">');
		    builder.append('<div class="blackBg">');
		    builder.append('<div class="newTcarer o1 k16 white h2" style="margin:35% auto 0;"><img src="'+ handleDomainContent("http://wapjs.189.cn/mall/pages/tyshBroadband_xuyue/images/tc_img2.png") +'" class="k20"><div style="padding: 3.5% 7.5% 7%;"><p class="i3" style="color:#3d4245;">办理位置选择</p><ul class="chooseCityNew b1">');
		    builder.append('</ul></div><img src="'+ handleDomainContent("http://wapjs.189.cn/mall/pages/tyshBroadband_xuyue/images/Closedtc.png") +'" class="o2 chooseCityCloseNew" style="width:9%;top:-4%;right:-4%;"></div>')
		    var parentDom = $(builder.toString());
		    var citys = main.cityList;
		    var len = citys.length;
		    var domJQ = APP.tool.dom.create();
		    var cityDom = parentDom.find('ul.chooseCityNew');
		    for(var i = 0;i<len;i++){
		        var str = '3.5%';
		        if((i+1) % 3 == 0){
		            str = '0';
		        }
		        domJQ.append('<li class="i2 h2 m1 c4" style="width:31%;color:#3d4245;padding:3.2% 0;margin-right:'+str+';margin-top:3.5%;background:#f0f0f0;" codeAttr="'+citys[i].code+'">'+citys[i].name+'</li>').end(citys[i]);
		        cityDom.append(domJQ.getDom());
		    }

		    ui.addUIDOM(parentDom);

		    parentDom.show();
		    var curTarget = parentDom.find('li[codeAttr=' + curValue + ']');
		    curTarget.addClass('chooseCityActiveNew');
		    curTarget.css({background: "#cbe9ff"});

		    parentDom.find('div.blackBg').css({
		        height:window.innerHeight,
		        width:window.innerWidth,
		        zIndex:'10'
		    });

		    main.onClick(parentDom.find('img.chooseCityCloseNew'),function(e){
		        parentDom.hide();

		    });
		    main.onListClick(parentDom,function(target,tagName){
		        if(tagName == 'li'){
		            parentDom.find('li.chooseCityActiveNew').removeClass('chooseCityActiveNew');
		            parentDom.find('li.chooseCityActiveNew').css({background: "#f0f0f0"});
		            target.addClass('chooseCityActiveNew');
		            target.css({background: "#cbe9ff"});

		            var liData = target.data('liData');
		            option.dom.find('[domText]').empty().append(liData.name);
		            option.dom.data('value',liData.code);
		            option.dom.data('name',liData.name);
		            setTimeout(function(){
		                parentDom.hide();
		            },100);

		            var callback = option.dom.data('callback');
		            callback && callback(option.dom);
		        }
		    },'li.i2');
		},
		cityNew:function(option,uiName){
			var id = ui.getUID(uiName);
			var builder = tool.stringBuilder.newInstance();
			var div = $('#' + id);
			div.remove();
			var curValue = option.code;
			builder.clear();
			builder.append('<div id="').append(id).append('">');
			builder.append('<div class="dl-dialog-40"><div class="dl-40-container84">')
			builder.append('<img src="../../resources/images/login/dl_tip3.png"><div class="dl-city-tips">办理位置选择</div>');
			builder.append('<div class="dl-city grid3"><ul class="chooseCityNew"></ul></div>');
			builder.append('<div class="dl-40-close"><img src="../../resources/images/login/dl_close1.png"></div>')
			builder.append('</div></div>');
			var parentDom = $(builder.toString());
			var citys = main.cityList;
			var len = citys.length;
			var domJQ = tool.dom.create();
			var pageDom;
			var cityDom = parentDom.find('ul.chooseCityNew');

			for(var i= 0; i<len;i++){
				domJQ.append('<li><p codeAttr="').append(citys[i].code).append('">').append(citys[i].name).append('</p></li>').end(citys[i]);

			}
			cityDom.append(domJQ.getDom());
			ui.addUIDOM(parentDom);
			parentDom.show();
			var curTarget = parentDom.find('p[codeAttr=' + curValue + ']');
			curTarget.addClass('city-active');

			main.onClick(parentDom.find('div.dl-40-close'),function(e){
				parentDom.hide();
			});
			main.onListClick(parentDom,function(target,tagName){
				var curr = target.children('p');
				if(target.index()!=-1){
					parentDom.find('p.city-active').removeClass('city-active');
					curr.addClass('city-active');
					var liData = target.data('liData');
					option.dom.find('[domText]').empty().append(liData.name);
					option.dom.find('[domCode]').empty().append(liData.code);
					option.dom.data('value',liData.code);
					option.dom.data('name',liData.name);
					setTimeout(function(){
						parentDom.hide();
					},100);
					var callback = option.dom.data('callback');
					if(typeof trkCityChange != 'undefined'){
				  		try{
				  			trkCityChange(liData.name)
				       	}catch(e){}
				  	}
					callback && callback(option.dom);
				}

			},'li');

		},
		cityArea:function(option,uiName){
		       var main = APP.main, ui = APP.ui, tool = APP.tool, id = ui.getUID(uiName), div = $('#' + id), curValue = '';
		        if(tool.validate.isNull(option.dom.data('code'))){
		            curValue = main.getData('shopCityCode');
		        }else{
		            curValue = option.dom.data('code');
		        }
		            var builder = tool.stringBuilder.newInstance();
		            builder.clear();
		            builder.append('<div class="b1 diQuChoose white" style="position: absolute; top:0; left:0; bottom:0; right:0; z-index: 110;" id="').append(id).append('">');
		            builder.append('<div class="b1 white" style="position:fixed;top:0;left:0;">');
		            builder.append('        <span class="headLeft icon-back cityareaback"></span>');
		            builder.append('        <p class="headMid weight grayFont1">地区选择</p>');
		            builder.append('        <span class="headRight c1"></span>');
		            builder.append('    </div><div class="j1"></div>');
		            builder.append('<div class="k8 a3 gray grayFont cityAreaForCityList" style="margin-top:10%;height:').append(window.innerHeight - window.innerHeight*0.18).append(';overflow-y: auto;">');
		            builder.append('</div><div class="k12 a3 white grayFont1 m1 cityAreaForAreaList" style="margin-top:10%;height:').append(window.innerHeight - window.innerHeight*0.18).append(';overflow-y: auto;">');
		            builder.append('</div></div>');
		            div = $(builder.toString());
		            div.hide();
		            ui.addUIDOM(div);
		            div.css({height:window.innerHeight});
		            var cityListDom = div.find('div.cityAreaForCityList'), domJQ = tool.dom.create();
		            var liData, cityList = main.cityList, cityLen = cityList.length;
		            for(var i = 0; i < cityLen; i++){
		                liData = cityList[i];
		                domJQ.append('<p cityCode="').append(liData.code).append('" class="m1 gray grayFont j1 j4 ">').append(liData.name).append('</p>').end(liData);
		            }
		            cityListDom.empty().append(domJQ.getDom());
		            var cityAreaDom = div.find('div.cityAreaForAreaList');
		            main.onListClick(cityAreaDom,function(target,tagName){
		                try{
		                    if(tagName == 'p' && target.hasClass('grayFont1')){
		                        var liData = target.data('liData'), code = cityAreaDom.data('curCityCode');
		                        cityAreaDom.find('span.icon-chooseCircle').addClass('c1');
		                        target.find('span.icon-chooseCircle').removeClass('c1');
		                        var option = div.data('option');
		                        option.dom.find('[domText]').empty().append(main.getCityNameByCode(code) + ' ' + liData.name);
		                        option.dom.data('value',liData.id);
		                        option.dom.data('name',main.getCityNameByCode(code) + '' + liData.name);
		                        option.dom.data('code',code);
		                        option.dom.data('liData',liData);
		                        option.dom.data('callback') && option.dom.data('callback')(liData.id,main.getCityNameByCode(code) + '' + liData.name,liData);
		                        setTimeout(function(){
		                            div.hide();
		                        },50);
		                    }
		                }catch(e){
		                }
		            },'p.grayFont1');
		            main.onListClick(cityListDom,function(target,tagName){
		                try{
		                    if(tagName == 'p' && target.hasClass('j4')){
		                        var option = div.data('option'), cityAreaDom = div.find('div.cityAreaForAreaList');
		                        var liData = target.data('liData');
		                        if(tool.validate.isNotNull(option.dom.data('restrictCityCode'))){//
		                            if(liData.code != option.dom.data('restrictCityCode')){
		                                //ui.ui('default.ui',{content:'当前地市选择仅可在' + main.getCityNameByCode(liData.code) + '范围操作'});
		                                return;
		                            }
		                        }
		                        cityListDom.find('p.j4').removeClass('blue').removeClass('whiteFont').addClass('gray').addClass('grayFont');
		                        target.removeClass('gray').removeClass('grayFont').addClass('blue').addClass('whiteFont');
		                        generateCityAreaList(cityAreaDom,liData.areas,liData.code);
		                    }
		                }catch(e){ }
		            },'p.j4');
		            main.onClick(div.find('.cityareaback'),function(e){
		                setTimeout(function(){
		                    div.hide();
		                },100);
		            });

		        if(tool.validate.isNotNull(option.dom.data('restrictCityCode'))){//
		            div.find('p[cityCode].grayFont').removeClass('grayFont').addClass('grayFont2');
		        }else{
		            div.find('p[cityCode].grayFont2').removeClass('grayFont2').addClass('grayFont');
		        }
		        div.data('option',option);
		        div.css({height:window.innerHeight});
		        div.find('p[cityCode]').removeClass('blue').removeClass('whiteFont').addClass('gray').addClass('grayFont');
		        div.find('p[cityCode=' + option.dom.data('code') + ']').removeClass('gray').removeClass('grayFont').addClass('blue').addClass('whiteFont');
		        var cityAreaDom = div.find('div.cityAreaForAreaList');
		        generateCityAreaList(cityAreaDom,main.getCityListAreaByCode(option.dom.data('code')),option.dom.data('code'));
		        div.show();
		        function generateCityAreaList(dom,cityAreaList,code){
		            var domJQ = tool.dom.create();
		            var areaLen = cityAreaList.length;
		            for(var i = 0; i < areaLen; i++){
		                liData = cityAreaList[i];
		                domJQ.append('<p areaId="').append(liData.name).append('" class="grayFont1 j1"><span class="icon-chooseCircle greenFont a1 i8 c1 l5 d22"></span><span class="a1">').append(liData.name).append('</span></p>').end(liData);
		            }
		            dom.empty().append(domJQ.getDom());
		            dom.find('span.icon-chooseCircle').addClass('c1');
		            if(tool.validate.isNull(option.dom.data('liData'))){
		                dom.find('span.icon-chooseCircle').eq(0).removeClass('c1');
		            }else{
		                dom.find('p[areaId=' + option.dom.data('liData').name + ']').find('span.icon-chooseCircle').removeClass('c1');
		            }
		            dom.data('curCityCode',code);
		        }
		},
		product:function(option,uiName){
			var id = ui.getUID(uiName);
			var builder = tool.stringBuilder.newInstance();
			var div = $('#' + id);
			var curValue = option.loginType;
			if(tool.validate.isNull(div[0])){
				var products = $.grep(main.products, function(n,i){
					return n.login;
				});
				builder.clear();
				builder.append('<div id="').append(id).append('">');
				builder.append('<div class="blackBg"></div>');
				builder.append('<div class="chooseCity">');
				builder.append('<img src="../../resources/images/common/chooseCityClose.png" class="chooseCityClose" />');
				builder.append('</div>');
				builder.append('</div>');
				var parentDom = $(builder.toString());

				var len = products.length;
				var pageSize = 1;
				var pages = parseInt((len - 1)/pageSize) + 1;
				var cLen = 0;
				var domJQ = tool.dom.create();
				var pageDom;
				var productDom = parentDom.find('div.chooseCity');
				for(var p = 0; p < pages; p++){
					if(p == 0){
						domJQ.append('<div class="b1 l5 e1"></div>').end();
					}
					else{
						domJQ.append('<div class="b1 l5 e1 d0"></div>').end();
					}
					pageDom = domJQ.getDom();
					cLen = (((p+1)* pageSize) > len ? len : ((p+1)* pageSize));
					domJQ = tool.dom.create();
					for(var i = p * pageSize; i < cLen; i++){
						domJQ.append('<p class="a1 g3" style="width:93%;" typeAttr="').append(products[i].value).append('">').append(products[i].name).append('</p>').end(products[i]);
					}
					pageDom.append(domJQ.getDom());
					productDom.append(pageDom);
				}
				ui.addUIDOM(parentDom);
				parentDom.show();
				var curTarget = parentDom.find('p[typeAttr=' + curValue + ']');
				curTarget.addClass('chooseCityActive');
				if($.trim(option.dom.attr('selectedColor')) != ''){
					curTarget.css({
						background: option.dom.attr('selectedColor')
					});
				}else{
					curTarget.css({
						background: "#2aadf1"
					});
				}
				parentDom.find('div.blackBg').css({height:window.innerHeight});
				main.onClick(parentDom.find('img.chooseCityClose'),function(e){
					parentDom.hide();
				});
				main.onListClick(parentDom,function(target,tagName){
					if(tagName == 'p'){
						var lastActive = parentDom.find('p.chooseCityActive');
						lastActive.css('background','none').removeClass('chooseCityActive');
						target.addClass('chooseCityActive');
						if($.trim(option.dom.attr('selectedColor')) != ''){
							target.css({
								background: option.dom.attr('selectedColor')
							});
						}else{
							target.css({
								background: "#2aadf1"
							});
						}
						var liData = target.data('liData');
						option.dom.find('[domText]').empty().append(liData.name);
						option.dom.data('product',liData);
						setTimeout(function(){
							parentDom.hide();
						},100);
						var callback = option.dom.data('callback');
						callback && callback(option.dom);
					}
				},'p.g3');
			}
			else{
				div.show();
			}
		},
		captcha:function(option,uiName){ //验证码
			var main = APP.main;
		    var ui = APP.ui;
		    var tool = APP.tool;
		    var id = ui.getUID(uiName);
		    var div = $('#' + id);
		    var validate = tool.validate;
		    if (validate.isNull(div[0])) {
		        var domJQ = tool.dom.create();
		        domJQ.append('<div id="').append(id).append('" class="blackBg" style="z-index:999999;">');
		        domJQ.append(' <div class="white h2" style="width:81%;margin:40% auto 0;">');
		        domJQ.append('	<img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/TcHeaderImg1.png") +'" class="k20">');
		        domJQ.append('	<div class="m1" style="font-size:1.1em;color:#3d4245;padding:5% 2.5% 4%;">请输入图形验证码</div>');
		        domJQ.append('	<div class="l22">');
		        domJQ.append('		<div class="b1" style="border:0.5px solid #dcdcdc;border-radius: 0.25em;overflow: hidden;">');
		        domJQ.append('			<input  maxlength="4" class="a1 k11 inputCode" style="background: none;border:0;color:#3d4245;font-size: 0.94em;display: inline-block!important;padding:0 3%;line-height: 1.3em;" data-role="none" type="number" placeholder="请输入">');
		        domJQ.append('			<div class="a1 o1 k9" style="background: rgb(243, 237, 202);">');
		        domJQ.append('				<img  class="k14 imgShow">');
		        domJQ.append('				<span  class="o2 l23 m3 imgChange" style="top:9%;right:1.5%;width:30%">');
		        domJQ.append('					<img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/yzmSxImg.png") +'" class="k20">');
		        domJQ.append('				</span>');
		        domJQ.append('			</div>');
		        domJQ.append('		</div>');
		        domJQ.append('	</div>');
		        domJQ.append('	<div class="l2 l6 l11 b1" style="padding-bottom:8%;">');
		        domJQ.append('		<img  src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/newLeftButt1.png") +'" class="k9 d8 colse">');
		        domJQ.append('		<img  src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/newRightButt3.png") +'" class="k9 enter">');
		        domJQ.append('	</div>');
		        domJQ.append(' </div>');
		        domJQ.append('</div>').end();
		        div = domJQ.getDom();
		        ui.addUIDOM(div);


				main.onClick(div.find(".colse"),function(e){
					ui.hide(uiName,option);
				});

				main.onClick(div.find(".imgChange"),function(e){
					getImg(option.accNbr);
				});

				main.onClick(div.find(".enter"),function(e){
					getDynamicPwd(option);
				});

		    } else {
		        ui.show(uiName,option);
		    }




		    getImg(option.accNbr);
		    //获取图形验证码
		    function getImg(accNbr){
		    	var interf  = APP.interf;
				var main = APP.main;
				var ui  = APP.ui;
				var tool =  APP.tool;
				var params = tool.param;
				var paramInit = params.get();
				paramInit.add("accNbr",accNbr);
				paramInit.add("PathCode","login-00008");
				var version = APP.config.app.version;
				var versions = version.split(".");
				var isNewVersion = (versions[0] > 5 || (versions[0] >= 5 && versions[1] >= 1));
				var type = 'old';
				if(APP.config.platform == 'APP' && isNewVersion){
					type = 'ztlogin';
				}
				//获得图形码接口
				interf.invoke({
						url:"/pictureCode/getRandomNumberCode",
						param:paramInit.value(),
						type:type,
						showLoading:false,
						pathCode:"login-00008",
						actionCode:'dt001',
						success:function(data){
							var str12 = arrayBufferToBase64(data.tupian);//转换字符串
						    var src = 'data:image/png;base64,'+str12;

						    div.find(".imgShow").attr("src",src);
						    div.find(".imgShow").parent()[0].style.background = data.rgb;

						    function arrayBufferToBase64( buffer ) {
						        var binary = '';
						        var bytes = new Uint8Array( buffer );
						        var len = bytes.byteLength;
						        for (var i = 0; i < len; i++) {
						            binary += String.fromCharCode( bytes[ i ] );
						        }
						        return window.btoa( binary );
						    }

						},fail:function(data){


						},error:function(data){


						}
				});
		    }

		   	// 图形验证码
		   	//验证
			function getDynamicPwd(option){
		    	var interf  = APP.interf;
				var main = APP.main;
				var ui  = APP.ui;
				var tool =  APP.tool;
				var params = tool.param;
				var paramInit = params.get();
				paramInit.add("AccountID",option.accNbr);
				paramInit.add("AccountType",option.numberType);
				paramInit.add('pictureCode',div.find(".inputCode").val());//图形验证码
				paramInit.add('PathCode','rest-00029');
				var version = APP.config.app.version;
				var versions = version.split(".");
				var isNewVersion = (versions[0] > 5 || (versions[0] >= 5 && versions[1] >= 1));
				var type = 'old';
				if(APP.config.platform == 'APP' && isNewVersion){
					type = 'ztservice';
				}
				interf.invoke({
						//获得验证码接口
						url:"/rest/getDynamicPwd",
						param:paramInit.value(),
						pathCode:"rest-00029",
						type:type,
						showLoading:false,
						actionCode:'dt001',
						success:function(data){
							option.success && option.success(data);
						},fail:function(data){
							option.fail && option.fail(data);
						},error:function(data){
							option.error && option.error(data);
						}
				});
			}
		},
		behaviorCode:function(option,uiName){//行为验证码功能  杨飞宇20181102
			var main = APP.main;
		    var ui = APP.ui;
		    var tool = APP.tool;
		    var id = ui.getUID(uiName);
		    var div = $('#' + id);
		    var validate = tool.validate;
		    var maxT = 72;//高度最大值
		    var minT = 13;//高度最小值
		    var rangeT = maxT - minT;//高度范围
		    this.flag = true;//验证标记
		    this.checkCode = "";//已选择的文字
		    this.threeCode = "";//需要选择的文字
		    this.fiveCode = "";//全部文字
		    //验证方法
		    var isRight = function(){
		        flag = true;
		        for(var i = 0;i < threeCode.length;i++){
		            if(checkCode.indexOf(threeCode.charAt(i)) < 0 ){
		                flag = false
		                break;
		            }
		        }
		        return flag;
		    }
		    //加载全部文字
		    var loadLI = function(){
		        var str = "";
		        for(var i = 0;i < fiveCode.length;i++){
		            var maxL = (i+1)*17 -3;
		            var minL = i*17 + 4;
		            var left = parseInt(Math.random() * (maxL - minL) + minL);
		            var top = parseInt(Math.random() * (rangeT) + minT); //四舍五入
		            var rotate = parseInt(Math.random()*100);
		            str+='<li class="o2 weight c4" style="top:'+top+'%;left:'+left+'%;">';
		            str+='  <div class="o1">';
		            str+='      <span class="c4" style="font-size:1.7em;color:#171717;transform:rotate(-'+rotate+'deg);">'+fiveCode.charAt(i)+'</span>';
		            str+='      <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginPitch.png") +'" class="o2 k17 c1" style="top:27%;left:10%;">';
		            str+='  </div>';
		            str+='</li>';
		        }
		        return str
		    }
		    //加载需要点击文字
		    var loadCheckDiv = function(){
		        var str = '<span style="font-size:0.95em;color:#666;">请点击</span>';
		        for(var i = 0;i < threeCode.length;i++){
		            str+='<span class="weight threeCode" style="font-size:0.95em;color:#3d4245;">“'+threeCode.charAt(i)+'”</span>';
		        }
		        str+='<span style="font-size:0.95em;color:#666;">完成验证</span>';
		        return str
		    }
		    var loadDiv = function(){
		        var domJQ = tool.dom.create();
		        domJQ.append('<div id="').append(id).append('" class="blackBg" style="z-index:9;">');
		        domJQ.append('  <div class="k16 h1 white o1 l1 l5 l10 l14" style="margin:40% auto 0">');
		        domJQ.append('      <div class="m1 b1 checkDiv">');
		        //domJQ.append(loadcheckDiv());
		        domJQ.append('      </div>');
		        domJQ.append('      <div class="o1 d1 h2 r1">');
		        domJQ.append('          <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginyzImg.png") +'" class="k20">');
		        domJQ.append('          <div class="o2 l24 p1 p4 c4 m3 k3 refresh" style="z-index:10;">');
		        domJQ.append('              <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginBreak.png") +'" class="k15">');
		        domJQ.append('          </div>');
		        domJQ.append('          <ul class="o2 p1 p2 p3 p4" style="z-index:9;">');
		        //domJQ.append(loadLI());
		        domJQ.append('          </ul>');
		        domJQ.append('      </div>');
		        domJQ.append('  </div>');
		        domJQ.append('  <div class="m1 d2 colse">');
		        domJQ.append('      <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginClosed.png") +'" style="width:13%;">');
		        domJQ.append('  </div>');
		        domJQ.append('</div>').end();
		        div = domJQ.getDom();
		        ui.addUIDOM(div);
		    }
		    if (validate.isNull(div[0])) {
		        loadDiv();
		    }else{
		        var tList = div.find(".threeCode");
		        for(var i = 0; i<tList.length;  i++){
		            $(tList[i]).html('')
		        }

		        var liList = div.find("li");
		        for(var i = 0; i<liList.length;  i++){
		            $(liList[i]).find("span").html('');
		        }
		    }
		    main.onClick(div.find(".colse"),function(e){
		        ui.hide(uiName,option);
		    });
		    main.onClick(div.find(".refresh"),function(e){
		        getCode(option.accNbr);
		    });
		    main.onListClick(div.find("ul"),function(targrt,tagName){
		        if(tagName == "li"){
		            var cImg = $(div.find("ul")).find(".c1");
		            if(cImg.length == 2) return;
		            if(cImg.length >= 3){
		                var img = $(targrt).find("img");
		                if($(img).hasClass("c1")){
		                    $(img).removeClass("c1");
		                    checkCode += $(targrt).find("span").html();
		                }else{
		                    $(img).addClass("c1");
		                    var temp = $(targrt).find("span").html();
		                    checkCode = checkCode.replace(temp,"");
		                }
		            }
		            cImg = $(div.find("ul")).find(".c1");
		            if(cImg.length == 2){
		                if(isRight()){
		                    option.success && option.success({code:"0",checkCode:checkCode,content:""});
		                }else{
		                    getCode(option.accNbr);
		                    option.fail && option.fail({code:"0",checkCode:checkCode,content:"验证失败"});
		                }
		            }
		        }
		    },"li");
		    //获取图形验证码
		    var getCode = function (accNbr){
		        var interf  = APP.interf;
		        var main = APP.main;
		        var ui  = APP.ui;
		        var tool =  APP.tool;
		        var params = tool.param;
		        var paramInit = params.get();
		        paramInit.add("accNbr",accNbr);
		        paramInit.add("PathCode","login-000010");
		        div.find(".k17").addClass("c1");
		        interf.invoke({
		            url:"/welcome",
		            param:paramInit.value(),
		            type:'ztlogin',
		            pathCode:"login-000010",
		            actionCode:'dt001',
		            success:function(data){
		                checkCode = "";
		                threeCode = data.threeCode;
		                fiveCode = data.fiveCode;
		                $(div.find("ul")).html(loadLI());
		                $(div.find(".checkDiv")).html(loadCheckDiv());
		            },fail:function(data){
		                //

		            },error:function(data){
		                //
		            }
		        });
		    }
		    getCode(option.accNbr);
		},
        confirmNew:function(option,uiName){//确认框
            var ui = APP.ui,tool=APP.tool,main=APP.main;
            var id = ui.getUID(uiName);//uiName.replace(/[.]/g,'');
            if(!option.confirmBtn){
                option.confirmBtn = '确定';
            }
            if(!option.cancelBtn){
                option.cancelBtn = '取消';
            }
            if(!option.title){
                option.title = '提示';
            }
            var div = $('#' + id);
            if(tool.validate.isNull(div[0])){
                var strBuilder = tool.stringBuilder.get();
                strBuilder.append('<div id="').append(id).append('">');
                strBuilder.append('<div class="blackBg"></div>');
                strBuilder.append('<div class="m-dialog-box02" style="display: block;z-index:99;">');
                strBuilder.append('<div class="m-dialog-box02-contain">');
                strBuilder.append('<img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/bhRechargeChen/images/dialog-bird01.png") +'" alt="" class="k20">');
                strBuilder.append('<div class="commonConfirmAlertContentNew m-dialog-box-text" style="padding: 8% 3%;">');
                strBuilder.append(option.content);
                strBuilder.append('</div>');
                strBuilder.append('<div class="m-dialog-box-btns">');
                strBuilder.append('<span class="ty-button btn-primary02-4 ty-dialog-two-btn cfCancelBtnNew">').append(option.cancelBtn).append('</span>');
                strBuilder.append('<span class="ty-button btn-primary-bg01 ty-dialog-two-btn cfEnsureBtnNew">').append(option.confirmBtn).append('</span>');
                strBuilder.append('</div>');
                strBuilder.append('</div>');
                strBuilder.append('</div>');
                strBuilder.append('</div>');
                div = $(strBuilder.toString());
                ui.addUIDOM(div);
                div.find('div.blackBg').css({
                    height:window.innerHeight,
                    width:window.innerWidth,
                    zIndex:'10'
                });
                main.onClick(div.find('span.cfCancelBtnNew'),function(e){
                    var option = div.data('option');
                    ui.hide(uiName);
                    option && option.cancel && option.cancel(option);
                });
                main.onClick(div.find('span.cfEnsureBtnNew'),function(e){
                    var option = div.data('option');
                    ui.hide(uiName);
                    option && option.confirm && option.confirm(option);
                });
            }else{
                div.find('p.commonConfirmAlertTitle').html(option.title);
                div.find('div.commonConfirmAlertContentNew').html(option.content);
                div.find('span.cfCancelBtnNew').html(option.cancelBtn);
                div.find('span.cfEnsureBtnNew').html(option.confirmBtn);
                ui.show(uiName,option);
                div.find('div.blackBg').css({
                    height:window.innerHeight,
                    width:window.innerWidth,
                    zIndex:'10'
                });
            }
            div.data('option',option);
        }
	};

	commonUI = {
		city:function(option,uiName){//城市选择
			var id = ui.getUID(uiName);//uiName.replace(/[.]/g,'');
			//var id = tool.util.encrypt(uiName);
			if(!option.code){
				option.code = '025';
			}
			if(!option.name){
				option.name = '南京';
			}
			var dom = option.dom;
			//dom.removeClass();
			/*dom.addClass('b1').addClass('d2').addClass('czGuhua_chooseCity');
			dom.empty().append('<p class="a1 f3 d4 whiteFont" domText>' + option.name + '</p><span class="a1 f3 d10 whiteFont icon-more"></span>');*/
			dom.data('value',option.code);
			dom.find('[domText]').empty().append(option.name);
			dom.data('value',option.code);
			dom.data('name',option.name);
			main.onClick(dom,function(e){
				var value = $(e.currentTarget).data('value');
				dom.data('domClick') && dom.data('domClick')(value);
				ui.ui('default.city',{code:value,dom:dom});
			});
		},
		cityNew:function(option,uiName){//城市选择
			var id = ui.getUID(uiName);//uiName.replace(/[.]/g,'');
			if(!option.code){
				option.code = '025';
			}
			if(!option.name){
				option.name = '南京';
			}
			var dom = option.dom;
			dom.data('value',option.code);
			dom.find('[domText]').empty().append(option.name);
			dom.find('[domCode]').empty().append(option.code);
			dom.data('value',option.code);
			dom.data('name',option.name);
			main.onClick(dom,function(e){
				var value = $(e.currentTarget).data('value');
				ui.ui('default.cityNew',{code:value,dom:dom})
			});
		},
		cityArea:function(option,uiName){//地区选择
			 var main = APP.main, ui = APP.ui, dom = option.dom;
			    if(!option.cityAreaId){
			        option.cityAreaId = main.getCityAreaByCode(main.getData('shopCityCode')).id;
			    }
			    if(!option.cityAreaName){
			        option.cityAreaName = main.getCityNameByCode(main.getData('shopCityCode')) + ' ' + main.getCityAreaByCode(main.getData('shopCityCode')).name;
			    }
			    dom.data('value',option.cityAreaId);
			    dom.data('code',main.getData('shopCityCode'));
			    dom.data('name',option.cityAreaName.replace(' ',''));
			    dom.find('[domText]').empty().append(option.cityAreaName);
			    main.onClick(dom,function(e){
			        ui.ui('default.cityArea',{dom:dom});
			    });
		},
		product:function(option,uiName){
			var id = ui.getUID(uiName);//uiName.replace(/[.]/g,'');
			if(!option.loginType){
				option.loginType = 'mobile';//默认手机
			}
			var aim;
			for(var i in main.products){
				var p =  main.products[i];
				if(p.value == option.loginType){
					aim = p;
					break;
				}
			}
			var dom = option.dom;
			dom.data('value',option.loginType);
			dom.find('[domText]').empty().append(aim.name);
			dom.data('product', aim);
			main.onClick(dom,function(e){
				var value = $(e.currentTarget).data('value');
				ui.ui('default.product',{loginType:value,dom:dom});
			});
		},
		alertList:function(option,uiName){
			   var tool = APP.tool, main = APP.main, ui = APP.ui, sb = tool.stringBuilder.get();
			    var validate = tool.validate, id = ui.getUID(uiName), div = $('#' + id), key = option.key, curValue = option.curValue;
			    if(!key){
			        return;
			    }
			    if(!curValue){
			        curValue = '';
			    }
			    if(!option.title){
			        option.title = '';
			    }
			    if(!option.list){
			        option.list = [];
			    }
			    var list = option.list;
			    if(validate.isNull(div[0])){
			        sb.append('<div class="commonListTypeParent" id="').append(id).append('">')
			            .append('<div class="blackBg"></div><div class="chooseTrafficType"><div class="commonListType b3">')
			            .append('<p class="b1 m1 i6 j1 l13 commonListTypeTitle">').append(option.title).append('</p></div></div></div>');
			        div = $(sb.toString());
			        ui.addUIDOM(div);
			        generateList(div,list,curValue,tool);
			        div.find('div.blackBg').css({
			            height:window.innerHeight, zIndex: '10',
			            background:"#000 !important", opacity: 0.5
			        });
			        var dailogHeight = div.find('div.chooseTrafficType').height();
			        div.find('div.chooseTrafficType').css({ top: (window.innerHeight - dailogHeight) * 0.4});
			        main.onListClick(div.find('div.commonListType'),function(target,tagName){
			            if(tagName == "div"){
			                var callback = target.closest('div.commonListTypeParent').data('callbackFunc');
			                callback && callback(target.data('liData'));
			            }
			            ui.hide(uiName);
			        },'div.e1');
			    }else{
			        div.find('p.commonListTypeTitle').empty().append(option.title);
			        generateList(div,list,curValue,tool);
			        ui.show(uiName,option);
			        div.find('div.blackBg').css({
			            height:window.innerHeight, zIndex: '10',
			            background:"#000 !important", opacity: 0.5
			        });
			        var dailogHeight = div.find('div.chooseTrafficType').height();
			        div.find('div.chooseTrafficType').css({ top: (window.innerHeight - dailogHeight) * 0.4});
			    }
			    div.data('callbackFunc',option.callback);
			    function generateList(div,list,curValue,tool){
			        var domJQ = tool.dom.create(), len = list.length, liData, typeDom = div.find('div.commonListType');
			        for(var i = 0; i < len; i++){
			            liData = list[i];
			            domJQ.append('<div class="e1 l10 j1 l14 "><div class="k2  c4"></div>')
			                .append('<div class="k15 c4 '+(curValue == liData[key] ? 'blueFont' :'grayFont3')+'">')
			                .append(liData[key]).append('</div><div class="k2  c4"> <span class="icon-more grayFont"></span></div></div>').end(liData);
			        }
			        typeDom.find('div.e1').remove();
			        typeDom.append(domJQ.getDom());
			        typeDom.find('div.e1:last').removeClass('j1').removeClass('l14');
			    }
		},
		payLoading:function(option,uiName){
			var id = ui.getUID(uiName);
			var div = $('#' + id);
			var validate = tool.validate;
			if(validate.isNull(div[0])){
				var domJQ = tool.dom.create();
				domJQ.append('<div id="').append(id).append('" class="onlinePayTypeSaftyDailog">');
        		domJQ.append('<div style="background:#000; width:100%; position:absolute; top:0; left:0; bottom:0; right:0;z-index:100; opacity:0.3;">');
        		domJQ.append('</div>');
        		domJQ.append('<img src="../../resources/images/pay/safePayLoad.gif" style="width:50%; position:absolute; top:20%; left:25%; z-index:201;" />');
   				domJQ.append('</div>').end();
   				div = domJQ.getDom();
   				ui.addUIDOM(div);
				div.find('div:first').css({
					height:window.innerHeight,
					width:window.innerWidth,
					zIndex:'10',
					background:"#000",
					opacity: 0.5
				});
				var dailogHeight = div.height();
				div.find('img').css({
					top:(window.innerHeight - dailogHeight) * 0.35
				});
			}
			else{
				ui.show(uiName,option);
				div.find('div:first').css({
					height:window.innerHeight,
					width:window.innerWidth,
					zIndex:'10',
					background:"#000",
					opacity: 0.5
				});
				var dailogHeight = div.height();
				div.find('img').css({
					top:(window.innerHeight - dailogHeight) * 0.35
				});
			}
		},
		behaviorCode:function(option,uiName){//行为验证码功能  杨飞宇20181102
			var main = APP.main;
		    var ui = APP.ui;
		    var tool = APP.tool;
		    var id = ui.getUID(uiName);
		    var div = $('#' + id);
		    var validate = tool.validate;
		    var maxT = 72;//高度最大值
		    var minT = 13;//高度最小值
		    var rangeT = maxT - minT;//高度范围
		    this.flag = true;//验证标记
		    this.checkCode = "";//已选择的文字
		    this.threeCode = "";//需要选择的文字
		    this.fiveCode = "";//全部文字
		    //验证方法
		    var isRight = function(){
		        flag = true;
		        for(var i = 0;i < threeCode.length;i++){
		            if(checkCode.indexOf(threeCode.charAt(i)) < 0 ){
		                flag = false
		                break;
		            }
		        }
		        return flag;
		    }
		    //加载全部文字
		    var loadLI = function(){
		        var str = "";
		        for(var i = 0;i < fiveCode.length;i++){
		            var maxL = (i+1)*17 -3;
		            var minL = i*17 + 4;
		            var left = parseInt(Math.random() * (maxL - minL) + minL);
		            var top = parseInt(Math.random() * (rangeT) + minT); //四舍五入
		            var rotate = parseInt(Math.random()*100);
		            str+='<li class="o2 weight c4" style="top:'+top+'%;left:'+left+'%;">';
		            str+='  <div class="o1">';
		            str+='      <span class="c4" style="font-size:1.7em;color:#171717;transform:rotate(-'+rotate+'deg);">'+fiveCode.charAt(i)+'</span>';
		            str+='      <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginPitch.png") +'" class="o2 k17 c1" style="top:27%;left:10%;">';
		            str+='  </div>';
		            str+='</li>';
		        }
		        return str
		    }
		    //加载需要点击文字
		    var loadCheckDiv = function(){
		        var str = '<span style="font-size:0.95em;color:#666;">请点击</span>';
		        for(var i = 0;i < threeCode.length;i++){
		            str+='<span class="weight threeCode" style="font-size:0.95em;color:#3d4245;">“'+threeCode.charAt(i)+'”</span>';
		        }
		        str+='<span style="font-size:0.95em;color:#666;">完成验证</span>';
		        return str
		    }
		    var loadDiv = function(){
		        var domJQ = tool.dom.create();
		        domJQ.append('<div id="').append(id).append('" class="blackBg" style="z-index:9;">');
		        domJQ.append('  <div class="k16 h1 white o1 l1 l5 l10 l14" style="margin:40% auto 0">');
		        domJQ.append('      <div class="m1 b1 checkDiv">');
		        //domJQ.append(loadcheckDiv());
		        domJQ.append('      </div>');
		        domJQ.append('      <div class="o1 d1 h2 r1">');
		        domJQ.append('          <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginyzImg.png") +'" class="k20">');
		        domJQ.append('          <div class="o2 l24 p1 p4 c4 m3 k3 refresh" style="z-index:10;">');
		        domJQ.append('              <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginBreak.png") +'" class="k15">');
		        domJQ.append('          </div>');
		        domJQ.append('          <ul class="o2 p1 p2 p3 p4" style="z-index:9;">');
		        //domJQ.append(loadLI());
		        domJQ.append('          </ul>');
		        domJQ.append('      </div>');
		        domJQ.append('  </div>');
		        domJQ.append('  <div class="m1 d2 colse">');
		        domJQ.append('      <img src="'+ handleDomainContent("http://wapjs.189.cn/tysh/pages/common/images/loginClosed.png") +'" style="width:13%;">');
		        domJQ.append('  </div>');
		        domJQ.append('</div>').end();
		        div = domJQ.getDom();
		        ui.addUIDOM(div);
		    }
		    if (validate.isNull(div[0])) {
		        loadDiv();
		    }else{
		        var tList = div.find(".threeCode");
		        for(var i = 0; i<tList.length;  i++){
		            $(tList[i]).html('')
		        }

		        var liList = div.find("li");
		        for(var i = 0; i<liList.length;  i++){
		            $(liList[i]).find("span").html('');
		        }
		    }
		    main.onClick(div.find(".colse"),function(e){
		        ui.hide(uiName,option);
		    });
		    main.onClick(div.find(".refresh"),function(e){
		        getCode(option.accNbr);
		    });
		    main.onListClick(div.find("ul"),function(targrt,tagName){
		        if(tagName == "li"){
		            var cImg = $(div.find("ul")).find(".c1");
		            if(cImg.length == 2) return;
		            if(cImg.length >= 3){
		                var img = $(targrt).find("img");
		                if($(img).hasClass("c1")){
		                    $(img).removeClass("c1");
		                    checkCode += $(targrt).find("span").html();
		                }else{
		                    $(img).addClass("c1");
		                    var temp = $(targrt).find("span").html();
		                    checkCode = checkCode.replace(temp,"");
		                }
		            }
		            cImg = $(div.find("ul")).find(".c1");
		            if(cImg.length == 2){
		                if(isRight()){
		                    option.success && option.success({code:"0",checkCode:checkCode,content:""});
		                }else{
		                    getCode(option.accNbr);
		                    option.fail && option.fail({code:"0",checkCode:checkCode,content:"验证失败"});
		                }
		            }
		        }
		    },"li");
		    //获取图形验证码
		    var getCode = function (accNbr){
		        var interf  = APP.interf;
		        var main = APP.main;
		        var ui  = APP.ui;
		        var tool =  APP.tool;
		        var params = tool.param;
		        var paramInit = params.get();
		        paramInit.add("accNbr",accNbr);
		        paramInit.add("PathCode","login-000010");
		        div.find(".k17").addClass("c1");
		        interf.invoke({
		            url:"/welcome",
		            param:paramInit.value(),
		            type:'ztlogin',
		            pathCode:"login-000010",
		            actionCode:'dt001',
		            success:function(data){
		                checkCode = "";
		                threeCode = data.threeCode;
		                fiveCode = data.fiveCode;
		                $(div.find("ul")).html(loadLI());
		                $(div.find(".checkDiv")).html(loadCheckDiv());
		            },fail:function(data){
		                //

		            },error:function(data){
		                //
		            }
		        });
		    }
		    getCode(option.accNbr);
		}
	}

	var DEFUALT_UI = function(){

	};


	DEFUALT_UI.prototype = {
		init:function(){
			if(defaultUI){
				for(var key in defaultUI){
					ui.add("default." + key, defaultUI[key]);
				}
			}
			if(commonUI){
				for(var key in commonUI){
					ui.add("common." + key, commonUI[key]);
				}
			}
			//defaultUI = null; //释放
		}
	};

	var defaultUi = new DEFUALT_UI();

	module.exports = defaultUi;
});