/**
 * @author xms
 * 重新jquery mobile
 */
$.widget( "mobile.pagecontainer", $.mobile.pagecontainer, {
 	_parse: function( html, fileUrl ) {
		// TODO consider allowing customization of this method. It's very JQM specific
		 
		var page, all = $( "<div></div>" );
		html = handleDomainContent(html)
		//workaround to allow scripts to execute when included in page divs
		all.get( 0 ).innerHTML = html;

		page = all.find( ":jqmData(role='page'), :jqmData(role='dialog')" ).first();

		//if page elem couldn't be found, create one and insert the body element's contents
		if ( !page.length ) {
			page = $( "<div data-" + this._getNs() + "role='page'>" +
				( html.split( /<\/?body[^>]*>/gmi )[1] || "" ) +
				"</div>" );
		}

		// TODO tagging a page with external to make sure that embedded pages aren't
		// removed by the various page handling code is bad. Having page handling code
		// in many places is bad. Solutions post 1.0
		page.attr( "data-" + this._getNs() + "url", this._createDataUrl( fileUrl ) )
			.attr( "data-" + this._getNs() + "external-page", true );
			
		return page;
	}
});

var ZT_IPV6_CONVERTS = {
	'221.228.39.58:10000/tysh':'wapjs.189.cn/tysh',//'wapjs.189.cn/tysh',  app3.api.go189.cn:10000/tysh
	'221.228.39.58:10000/three':'wapjs.189.cn/three',//'wapjs.189.cn:10000/three', app3.api.go189.cn:10000/three
	'221.228.39.58:10000/ztthree':'wapjs.189.cn/ztthree',//'wapjs.189.cn:10000/ztthree'
	'221.228.39.33':'wapjs.189.cn',//'wx.go189.cn',
	//'221.228.39.34':'wapjs.189.cn',//'zt.go189.cn',
	//'61.160.137.141':'wapjs.189.cn',//'app2.api.go189.cn',	 
	'221.228.39.58':'wapjs.189.cn',//'app3.api.go189.cn',
	'61.160.137.140:8082':'wapjs.189.cn',//'app4.api.go189.cn:8082'
	//'61.160.149.27:80':'wapjs.189.cn',//'暂无域名'
	'61.160.149.27/':'wapjs.189.cn/',
	//'61.160.149.170':'wapjs.189.cn', //'ztmall.go189.cn' 	 
	//'61.160.149.225:8081':'wapjs.189.cn',//'暂无域名'
	'221.228.39.227':'wapjs.189.cn',//'app1.jsinfo.net'
	//'221.228.39.202':'wapjs.189.cn',//'js.189.cn'	 
	//'221.228.47.26:8081':'wapjs.189.cn',
	'ztmall.go189.cn': 'wapjs.189.cn',

//	'http://wapjs.189.cn': 'https://wapjs.189.cn'
}

var RES_IPV6_CONVERTS_URL = {

}

/**
 * @author xms
 * 处理IP转换成域名访问
 */
function handleDomainContent(str){

        var content = str.toString();
        for(var key in ZT_IPV6_CONVERTS){
            content = content.replace(new RegExp(key, 'g'), ZT_IPV6_CONVERTS[key])
        }
        return content;
}