cordova.define("BestPayPlugin", function(require, exports, module) {

	var exec=require('cordova/exec');

	/**
	 *
	 */
	var BestPayPlugin=function(){
		/**
		 * 回调方法map
		 */
		this.callback = {};
	}

	/**
	 * BestPayPlugin 调起翼支付客户端支付
	 * @callback module:success  成功的回调
	 * @callback module:error 失败的回调
	 */
	BestPayPlugin.prototype={



		/**
			 * 执行回调方法
			 */
		excuteCallback:function(errCode,errMsg){
		//	console.log("www"+"errCode:"+errCode+" errMsg:"+errMsg);
				if(errCode == -1 || errCode == '-1'){
					this.callback.success && this.callback.success(errCode,errMsg);
				}else{
					this.callback.error && this.callback.error(errCode,errMsg);
				}
		},

        gotoBestPaySDK:function(option){

        	this.callback = {
					success:option.success,
					error:option.error
				};
				
            exec(option.success,option.error,"BestPayPlugin","gotoBestPaySDK",[option.para]);
        }
	}

	module.exports=new BestPayPlugin();
});
