cordova.define("des.Des", function(require, exports, module) {
	var exec = require('cordova/exec');
	
	/**
	 * 加解密对象
	 */
	var Des = function(){
		
	}
	
	/**
	 * Des加解密
	 * @param {String} str 需要加解密的字符串
	 * @callback module:des.successCallback  加解密成功的回调
	 * @callback module:des.errorCallback 加解密失败的回调
	 */
	Des.prototype = {
			
		/**
		 * 加密
		 */
		encode:function(successCallback,errorCallback,str,dataDirection){
			if(str == null || str == ''){
				return null;
			}
			exec(successCallback,errorCallback,"Des","encode",[str,dataDirection]);
		},
		
		/**
		 * 解密
		 */
		decode:function(successCallback,errorCallback,str,dataDirection){
			if(str == null || str == ''){
				return null;
			}
			exec(successCallback,errorCallback,"Des","decode",[str,dataDirection]);
		},
		/**
         * 加密
         */
        encodeRSA:function(successCallback,errorCallback,str,charset){
            if(str == null || str == ''){
                return null;
            }
            exec(successCallback,errorCallback,"Des","encodeRSA",[str,charset]);
        }
	}
	
	module.exports = new Des();
});