cordova.define("MicroPhoneSearch", function(require, exports, module) {
	var exec = require('cordova/exec');
	
	/**
	 * 麦克风采集对象
	 */
	var MicroPhoneSearch = function(){
		/**
		 * 回调方法map
		 */
		this.callback = {};

		this.callback2 = {};
	}
	
	/**
	 * 方法定义
	 */
	MicroPhoneSearch.prototype = {

		/**
		 * 执行回调方法
		 */
		excuteCallback:function(errMsg){
			
		     //    alert(errMsg);
				this.callback.success && this.callback.success(errMsg);
			
		},

		executeRecognizeResultCallback:function(errorcode,errMsg){
			
	//	       alert(errorcode+"   "+errMsg);

				if(errorcode == 0 || errorcode == '0'){
					
				this.callback2.success && this.callback2.success(errMsg);
			}else{
				this.callback2.error && this.callback2.error(errMsg);
			}
			
		},
		/**
		 *
		 * @param {Function} option.success 成功回调
		 * @param {Function} option.error 失败回调
		 */
		monitorKeyboard:function(option){
			this.callback = {
				success:option.success,
				error:option.error
			}
			exec(null,null,"MicroPhoneSearchPlugin","monitorKeyboard",[option]);
		},

		
			/**
			 * 开始采集
			 */
			startGather:function(option){
				
				this.callback2= {
				success:option.success,
				error:option.error
			}
				exec(null,null,"MicroPhoneSearchPlugin","startGather",[option]);
			},


			/**
			 * 获取权限
			 */
			shouldRequestPermission:function(option){
				
				
				exec(option.success,option.error,"MicroPhoneSearchPlugin","shouldRequestPermission",[option]);
			},

			/*
			* 取消采集
			 */
			
			cancelGather:function(option){
				
				
				exec(option.success,option.error,"MicroPhoneSearchPlugin","cancelGather",[]);
				
			},
			/*
			* 停止采集
			 */
			
			stopGather:function(option){
				
				
				exec(option.success,option.error,"MicroPhoneSearchPlugin","stopGather",[option.timeout]);
				
			},
	}
	
	module.exports = new MicroPhoneSearch();
});