cordova.define("TyAccountPlugin", function(require, exports, module) {
	var exec=require('cordova/exec');

	/**
	 *
	 */
	var TyAccountPlugin=function(){
	}

	/**
	 * TyAccountPlugin 调起天翼统一账号登录
	 * @callback module:success  成功的回调
	 * @callback module:error 失败的回调
	 */
	TyAccountPlugin.prototype={
        login:function(option){
            exec(option.success,option.error,"TyAccountPlugin","login",[]);
        },

        setAccountInfo:function(option){
            exec(option.success,option.error,"TyAccountPlugin","setAccountInfo",[option]);
        },
        signOut:function(option){
            exec(option.success,option.error,"TyAccountPlugin","signOut",[]);
        }
	}

	module.exports=new TyAccountPlugin();
});
