/**
 * 桌面悬浮js定义
 */
cordova.define("widget.FlowNotificationWidget", function(require, exports, module) {
	var exec = require('cordova/exec');

	var FlowNotificationWidget = function () {};

	//开启流量通知栏
	FlowNotificationWidget.prototype.openFlowNoti = function (successCallback, errorCallback, param) {
	    exec(successCallback, errorCallback, 'FlowNotificationWidget', "openFlowNoti", [param.phoneNum,param.areaCode,param.ztVersion,param.token]);
	};
	//关闭流量通知栏
	FlowNotificationWidget.prototype.closeFlowNoti = function (successCallback, errorCallback, param) {
	    exec(successCallback, errorCallback, 'FlowNotificationWidget', "closeFlowNoti", []);
	};
	//changepage2方法执行完毕可以跳转页面
	FlowNotificationWidget.prototype.changepage2over = function (successCallback, errorCallback, param) {
	    exec(successCallback, errorCallback, 'FlowNotificationWidget', "changepage2over", []);
	};
	
	module.exports = new FlowNotificationWidget();
});