/**
 * wifi体检
 */
cordova.define("wifi.WifiManager", function(require, exports, module) {
	var exec = require('cordova/exec');
	var WifiManager = function () {};
	
	WifiManager.prototype = {
		/**
		 * wifi
		 */
		wifi:function (successCallback, errorCallback) {
		    exec(successCallback, errorCallback, "WifiManager", "wifi", []);
		},
		/**
		 * 体检
		 */
		check:function (successCallback, errorCallback) {
		    exec(successCallback, errorCallback, "WifiManager", "check", []);
		},
		/**
		 * 重命名
		 */
		rename:function (successCallback, errorCallback,option) {
		    exec(successCallback, errorCallback, "WifiManager", "rename", [option.mac,option.name]);
		}
	}

	module.exports = new WifiManager();
});