/**
 * 卖场控件定义
 */
;APPBASE.define('widgetMall',function(require, exports, module){
	var widgets = require('widgets');
	var tool = require('tool');
	var ui = require('ui');
	var main = require('main');
	var widgetMall = {};
	var imagePrefix = handleDomainContent('http://wapjs.189.cn/stores/images/');//图片地址

	function getSBuilder(){//获取字符串拼接对象
		return tool.stringBuilder.get();
	}
	
	function onClick(obj, func, option){//注册click事件
		APP.main.onClick(obj,func,option);
	}
	
	function onListClick(obj, func, children){//注册列表点击事件
		APP.main.onListClick(obj,func,children);
	}
	
	function changePage(url,option){//页面跳转
		APP.page.changePage(url,option);
	}
	
	function back(){//返回
		APP.main.back();
	}
	/**
	 * 列表筛选控件对象定义
	 */
	var listWidget = function(){
		this.callbackFunc = null;
		this.dataFunc = null;
		this.innerSelectBanner = '';
		this.liIndex = '0';
		this.innerIndex = [];
		this.innerDatas = [];
	}
	
	/**
	 * 列表控件方法定义
	 */
	listWidget.prototype = {		
		init:function(listData,module,common){//初始化
			var dom = module.dom;
			var _self = this;
			var width = 100/listData.bannerList.length;
			dom.selectBanner.empty();
			for(var i=0;i<listData.bannerList.length;i++){
				var itemB = listData.bannerList[i];
				var ban = $('<div class="ty-a1 ty-m1 ty-j32 ty-choose-btn " id="'+itemB.bannerId+'" style="width:'+width+'%;">'+itemB.bannerinner+'<i class="tyfont iconTy0-down_btn ty-i1 ty-n1" style="margin-left: 2px;"></i></div>');
				dom.selectBanner.append(ban);
				ban.data('liIndex',this.liIndex);
				this._initevent(listData.bannerList,itemB,module,common);//初始化事件
				
			}
			
			for(var i = 0;i<listData.bannerList.length;i++){
				var itemI = listData.bannerList[i];
				_self.innerDatas[i] = itemI.selectList[0].descFlag;
			}
			
			
		},
		refresh:function(){//刷新
		},
		reset:function(){//重置
			this.callback;
		},
		callback:function(callback){//回调
			this.callbackFunc = callback;
		},
		data:function(){//获取数据
			return this.innerDatas;
		},
		_initevent:function(listData,bannerData,module,common){//初始化事件
			var dom = module.dom;
			var BannerId = common.page.find('#'+bannerData.bannerId);
			var self = this;
			main.onClick(BannerId,function(target){
				if(!BannerId.hasClass('ty-choose-active')){
					dom.selectList.show();
					dom.selectBanner.find('div').removeClass('ty-choose-complete3');
					if(BannerId.data('liIndex') == '0' ){

						BannerId.html(bannerData.bannerinner+'<i class="tyfont iconTy0-up_btn ty-i1 ty-n1" style="margin-left: 2px;"></i>');
							BannerId.removeClass('ty-choose-prev');
						//BannerId.find('i').removeClass('iconTy0-down_btn').addClass('iconTy0-up_btn');
					}else{
						if(bannerData.selectList[BannerId.data('liIndex')].innerBanner){
							self.innerSelectBanner = bannerData.selectList[BannerId.data('liIndex')].innerBanner;
						}else{
							self.innerSelectBanner = bannerData.selectList[BannerId.data('liIndex')].inner;
						}
						BannerId.find('.ty-choose-active').html(self.innerSelectBanner);
							BannerId.addClass('ty-choose-prev');
					}
					dom.selectList.find('.ty-choose-area').remove();
					dom.selectBanner.find('.ty-choose-active').find('i').removeClass('iconTy0-up_btn').addClass('iconTy0-down_btn');
					dom.selectBanner.find('.ty-choose-active').removeClass('ty-choose-active');
					BannerId.addClass('ty-choose-active');
					if( BannerId.index() != 0){
						BannerId.addClass('ty-choose-complete3');
					}
					var listDom = $('<div class="ty-choose-area" id="'+bannerData.listName+'"></div>');
					if(bannerData.selectList.length >= 5 && bannerData.showType == '01'){
						listDom.css("max-height","220px");
					}
					dom.selectList.prepend(listDom);
					dom.selectList.css("display","block");
					dom.choose_Blank.css("display","block").css('top',dom.selectList.offset().top+'px');
					self._initSelectList(listData,BannerId.data('liIndex'),bannerData,module,common);
				}else{
					BannerId.removeClass('ty-choose-active');
					if(BannerId.index() != 0){
						BannerId.removeClass('ty-choose-complete3');
					}
					common.page.find('#'+bannerData.listName).remove();
					dom.selectList.css("display","none");
					dom.choose_Blank.css("display","none");
					BannerId.find('i').removeClass('iconTy0-up_btn').addClass('iconTy0-down_btn');
					
					if(BannerId.hasClass("beChose")){
						if(self.innerSelectBanner){
							var innerStr = self.innerSelectBanner.replace(/[^\u0000-\u00ff]/g,"aa");
							var len = innerStr.length;
							if(window.innerWidth < 375){
								if(listData.length == 3){
									var maxLen = 12;
								}else if(listData.length == 4){
									var maxLen = 9;
								}
								var showLen = maxLen - 2;
							}else{
								if(listData.length == 3){
									var maxLen = 16;
								}else if(listData.length == 4){
									var maxLen = 12;
								}
								var showLen = maxLen - 3;
							}
							if(len > maxLen){
								var showStr = showLen/2;
								var _ret = self.innerSelectBanner.substring(0,showStr);
								BannerId.html(_ret+'...');
								BannerId.css("line-height","21px");
							}
								//BannerId.addClass('ty-choose-prev');
						}
					}
				}
			});
			
			main.onClick(module.dom.choose_Blank,function(target){
					var BannerIdACT = module.dom.selectBanner.find('.ty-choose-active');
					
					//if(BannerId.index() != 0){
					BannerIdACT.removeClass('ty-choose-complete3');
					//}
					common.page.find('#'+bannerData.listName).remove();
					dom.selectList.css("display","none");
					dom.choose_Blank.css("display","none");
					BannerIdACT.find('i').removeClass('iconTy0-up_btn').addClass('iconTy0-down_btn');
					
					if(BannerIdACT.hasClass("beChose")){
						if(self.innerSelectBanner){
							var innerStr = self.innerSelectBanner.replace(/[^\u0000-\u00ff]/g,"aa");
							var len = innerStr.length;
							if(window.innerWidth < 375){
								if(listData.length == 3){
									var maxLen = 12;
								}else if(listData.length == 4){
									var maxLen = 9;
								}
								var showLen = maxLen - 2;
							}else{
								if(listData.length == 3){
									var maxLen = 16;
								}else if(listData.length == 4){
									var maxLen = 12;
								}
								var showLen = maxLen - 3;
							}
							if(len > maxLen){
								var showStr = showLen/2;
								var _ret = self.innerSelectBanner.substring(0,showStr);
								BannerIdACT.html(_ret+'...');
								BannerIdACT.css("line-height","21px");
							}
								//BannerId.addClass('ty-choose-prev');
						}
					}
				//}
					BannerIdACT.removeClass('ty-choose-active');
			});
			
		},
		_initSelectList:function(listData,liIndex,bannerData,module,common){
			var dom = module.dom;
			var app = common.app;
			var interf  = app.interf;
			var tool =  app.tool;
			var BannerId = common.page.find('#'+bannerData.bannerId);
			var self = this;
			
			if(bannerData.showType == '01'){
				for(var i=0;i<bannerData.selectList.length;i++){
					var itemE = bannerData.selectList[i];
					var li = $('<div class="ty-b1 ty-a1 ty-choose-li" id="'+itemE.liId+'"><div class="ty-k10 ty-a1 ">'+itemE.inner+'</div><div class="ty-k10 ty-a1 ty-m3"> </div></div>');
					common.page.find('#'+bannerData.listName).append(li);
					li.data('liData',itemE);
					if(!liIndex){
						if(i == 0){
							li.addClass('ty-active');
							li.find('.ty-m3').append('<img src="' +imagePrefix+ 'm_icon_gou.png" class="ty-a1 selectImg" style="width: 11px;height: 11px;">');
						}
					}else{
						if(i == liIndex){
							li.addClass('ty-active');
							li.find('.ty-m3').append('<img src="' +imagePrefix+ 'm_icon_gou.png" class="ty-a1 selectImg" style="width: 11px;height: 11px;">');
						}
					}
					
				}
				
				var LIst = common.page.find('#'+bannerData.listName);
			}else{
				var li = $(' <div class="ty-b1 ty-a1 " ></div>');
				for(var i=0;i<bannerData.selectList.length;i++){
					var itemE = bannerData.selectList[i];
					var liInner = $('<div class="ty-k10 ty-a1"></div>');
					var chooseli = $('<div class="ty-b1 ty-choose-li" id="'+itemE.liId+'"><div class="ty-k10 ty-a1">'+itemE.inner+'</div><div class="ty-k10 ty-a1 ty-m3"></div></div>');
					liInner.append(chooseli);
					li.append(liInner);
					chooseli.data('liData',itemE);
					if(!liIndex){
						if(i == 0){
							chooseli.addClass('ty-active');
							chooseli.find('.ty-m3').append('<img src="' +imagePrefix+ 'm_icon_gou.png" class="ty-a1 selectImg" style="width: 11px;height: 11px;">');
						}
					}else{
						if(i == liIndex){
							chooseli.addClass('ty-active');
							chooseli.find('.ty-m3').append('<img src="' +imagePrefix+ 'm_icon_gou.png" class="ty-a1 selectImg" style="width: 11px;height: 11px;">');
						}
					}
					
				}
				common.page.find('#'+bannerData.listName).append(li);
				var LIst = common.page.find('#'+bannerData.listName).find('div:first');
			}
			main.onListClick(LIst,function(target,tagName){
				
				if(target[0] && target[0].tagName == 'DIV' && target.hasClass('ty-choose-li')){
					
					LIst.find('.ty-active').removeClass('ty-active');
					LIst.find('.ty-m3').empty();
					var liData = target.data('liData');
					target.addClass('ty-active');
					target.find('.ty-m3').append('<img src="' +imagePrefix+ 'm_icon_gou.png" class="ty-a1 selectImg" style="width: 11px;height: 11px;">');
					if(liData.innerBanner){
						self.innerSelectBanner = liData.innerBanner;
					}else{
						self.innerSelectBanner = target.find('div:first').html();
					}
					BannerId.data('liIndex',LIst.find('div.ty-choose-li').index(target[0]));
					for(var j = 0;j<dom.selectBanner.find('div.ty-choose-btn').length;j++){
						self.innerIndex[j] = dom.selectBanner.find('.ty-choose-btn').eq(j).data('liIndex');
						var newIndex = self.innerIndex[j];
						self.innerDatas[j] = listData[j].selectList[newIndex].descFlag;
					}
					dom.productList.empty();
					self.callbackFunc();
					BannerId.addClass("beChose");
					BannerId.removeClass('ty-choose-active');
					if(BannerId.index() == 0){
						BannerId.addClass('ty-choose-complete3');
					}
					common.page.find('#'+bannerData.listName).remove();
					dom.selectList.css("display","none");
					dom.choose_Blank.css("display","none");
					BannerId.find('i').removeClass('iconTy0-up_btn').addClass('iconTy0-down_btn');
					
					if(BannerId.hasClass("beChose")){
						if(self.innerSelectBanner){
							BannerId.html(self.innerSelectBanner);
							var innerStr = self.innerSelectBanner.replace(/[^\u0000-\u00ff]/g,"aa");
							var len = innerStr.length;
							if(window.innerWidth < 375){
								if(listData.length == 3){
									var maxLen = 12;
								}else if(listData.length == 4){
									var maxLen = 9;
								}
								var showLen = maxLen - 2;
							}else{
								if(listData.length == 3){
									var maxLen = 16;
								}else if(listData.length == 4){
									var maxLen = 12;
								}
								var showLen = maxLen - 3;
							}
							if(len > maxLen){
								var showStr = showLen/2;
								var _ret = self.innerSelectBanner.substring(0,showStr);
								BannerId.html(_ret+'...');
								BannerId.css("line-height","21px");
							}
							if(LIst.find('div.ty-choose-li').index(target[0]) == 0){
								BannerId.removeClass('ty-active');
								BannerId.removeClass('ty-choose-prev');
								BannerId.html(bannerData.bannerinner+'<i class="tyfont iconTy0-down_btn ty-i1 ty-n1" style="margin-left: 2px;"></i>');
							}else{
								BannerId.addClass('ty-choose-prev');
							}
							BannerId.removeClass('ty-choose-complete3');
						}
						//BannerId.removeClass("beChose");
					}
				}
				common.scroll.scrollToTop();
			},'div.ty-choose-li');
			
			
			if(BannerId.hasClass("beChose")){
				if(bannerData.selectList[BannerId.data('liIndex')].innerBanner){
					self.innerSelectBanner = bannerData.selectList[BannerId.data('liIndex')].innerBanner;
				}else{
					self.innerSelectBanner = bannerData.selectList[BannerId.data('liIndex')].inner;
				}
				//BannerId.removeClass("beChose");
			}else{
				self.innerSelectBanner = '';
			}
		},
		data:function(){
			return this.innerDatas;
		}
	};	

	/**
	 * 订单基础信息控件
	 */
	var OrderBaseInfo = function(){
		this.callbackFunc = null;
		this.data = null;
	}
	
	OrderBaseInfo.prototype = {
		init:function(option){//初始化
			if(!option || !option.dom){
				return;
			}
			var me = this;
			me.data = option.data;
			var data = me.data;
			var sb = getSBuilder();
			var baseInfoDiv = option.dom.find('div.orderBaseInfoClass');
			//if(!baseInfoDiv[0]){
				sb.clear();
				sb.append('<div class="ty-l49 ty-bj-white  ty-font-gray orderBaseInfoClass" style="padding: 3.6%;">');
				sb.append('<div class="ty-i3 orderBaseInfo_name">').append(data.name).append('</div>');
				sb.append('<div class="orderBaseInfo_items">');
				sb.append('</div>');
				sb.append('<div class="ty-b1 " style="margin-top: 20px;" >');
				sb.append('<div class="ty-k10 ty-c4 ty-i13 ty-font-orange2">');
				sb.append('<div class="ty-c7 ty-z3 orderBaseInfo_fee"  style="line-height: 18px;">');
				sb.append('</div>');
				sb.append('</div>');
				sb.append('<div class="ty-k10 ty-c4 ">');
				sb.append('<div class="ty-c7 ty-i8 ty-z2 ty-m6 ty-font-gray5 packageDetailBtn">');
				sb.append('套餐详情');
				sb.append('<i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i>');
				sb.append('</div>');
				sb.append('</div>');
				sb.append('</div>');
				sb.append('</div>');
				baseInfoDiv = $(sb.toString());
				option.dom.empty().append(baseInfoDiv);
				option.dom.append('<div class="orderBaseInfoBottomTagsClass"></div>');
				onClick(baseInfoDiv.find('div.packageDetailBtn'),function(e){
					option.common.page.find("div[data-role='content']").find('div.packageDetailClass').show();
				});
			//}
			this._initBaseInfo(baseInfoDiv,data);
			this._initBottomTags(option.dom,data);
			var packageDetail = option.common.page.find("div[data-role='content']").find('div.packageDetailClass');
			if(!packageDetail[0]){
				sb.clear();
				sb.append('<div class="ty-mask-gray packageDetailClass" style="display:none;" >');
				sb.append('<div class="ty-m1" style="margin:11.2% auto 10.67% auto"><img src="' +imagePrefix+ 'order_details.png" style="width: 214px;"> </div>');
				sb.append('<div class=" ty-b1 " style="padding:0;">');
				sb.append('<div class="ty-a1 ty-k1"></div>');
				sb.append('<div class="ty-a1 ty-k18 ty-m1">');
				sb.append('<div class="ty-j22 ty-line-big" style="margin-right: 8px;"></div>');
				sb.append('<span class="ty-a1 ty-i3 ty-font-gray">套餐详情</span>');
				sb.append('<div class="ty-j22 ty-line-big" style="margin-left: 8px;"></div>');
				sb.append('</div>');
				sb.append('<div class="ty-a1 ty-k1"></div>');
				sb.append('</div>');
				sb.append('<div class="ty-i8 orderBaseInfo_packageDetailList" style="margin:10px 10.135% 0 10.135%;">');
				sb.append('</div>');
				sb.append('<div class="ty-o2 ty-m1 packageDetailCloseBtn" style="left:50%;bottom:10%;margin-left: -19px;"><img src="' +imagePrefix+ 'close_btn01.png" style="width: 37px;height: 37px;"> </div>');
				sb.append('</div>');
				packageDetail = $(sb.toString());
				option.common.page.find("div[data-role='content']").append(packageDetail);
				onClick(packageDetail.find('div.packageDetailCloseBtn'),function(e){
					option.common.page.find("div[data-role='content']").find('div.packageDetailClass').hide();
				});
			}
			this._initBaseInfoPackageDetail(packageDetail,data);
			return this;
		},
		getValue:function(name,value){
			if(name == '号码' || name == '天翼号码'){
				if(value.length >11){
					numberval = value.split(' ');
					return numberval[0].substring(0,3) + ' ' + numberval[0].substring(3,7) + ' ' + numberval[0].substring(7) + '</span><span> (' + numberval[1] + ')</span>'
				}else{
					return value.substring(0,3) + ' ' + value.substring(3,7) + ' ' + value.substring(7);
				}
			}else{
				return value;
			}
		},
		_initBaseInfo:function(obj,data){
			obj.find('div.orderBaseInfo_name').empty().append(data.name);
			var sb = getSBuilder();
			if(data.fee){//金额
				var fees = [];
				if((data.fee + "").indexOf('.') >= 0){
					var fee = data.fee.split('.');
					fees.push(fee[0]);
					if(fee[1].length > 1){
						fees.push(fee[1]);
					}else{
						fees.push(fee[1] + '0');
					}
				}else{
					fees.push(data.fee);
					fees.push('00');
				}
				sb.append('<span class="ty-c7"><span class=" ty-i10">￥</span>').append(fees[0]).append('<span class="ty-i10">.').append(fees[1]).append('</span></span>');
			}
			if(data.preFee){//预存款
				sb.append('<span class="ty-font-orange2 ty-c7 ty-z2 ty-m5 ty-phone-tag" >预存话费</span>');
			}
			obj.find('div.orderBaseInfo_fee').empty().append(sb.toString());
			sb.clear();
			if(data.items){
				var list = data.items;
				var value = '';
				for(var i = 0; i < list.length; i++){
					sb.append('<div class="ty-i8 ').append((i==2) ? 'ty-a3 ty-b1"' : 'ty-a1"').append((i==0) ? 'style="margin-top: 8px;width:348px;"' :'style="width:348px;"');
					if(list[i].name == '号码'){
						sb.append('><div class="ty-k2 ty-a3  ty-nowrap" style="padding-top: 1%;"><span class="ty-font-gray2">').append(list[i].name).append('：</span></div>');
						sb.append('<div class="ty-k18 ty-a3">');
						sb.append('<div class="ty-l39"><img src="' +imagePrefix+ 'm_main_ka.png" class="ty-a1" style="width:37px;position: relative;top:-1px;margin-right: 9px;">');
						sb.append(this.getValue(list[i].name,list[i].value[0].number));
						sb.append('</div>');
						if(list[i].value.length > 1){
							for(var j = 0;j < list[i].value[1].number.length;j++){
								sb.append('<div class="ty-l39"').append((j==0) ? '> <img src="' + imagePrefix + 'm_deputy_ka.png" class="ty-a1" style="width:37px;position: relative;top:-1px;margin-right: 9px;">' : ' style="padding-left:46px;">');
								sb.append(this.getValue(list[i].name,list[i].value[1].number[j]));
								sb.append('</div>');
							}
						}
						sb.append('</div>');
						sb.append('</div>');
					}else{
						sb.append('><span class="ty-font-gray2">').append(list[i].name).append('：</span>').append(this.getValue(list[i].name,list[i].value)).append('</div>');
					}
				}
				obj.find('div.orderBaseInfo_items').empty().append(sb.toString());
			}else{
				obj.find('div.orderBaseInfo_items').hide();
			}
		},
		_initBottomTags:function(obj,data){
			var sb = getSBuilder();
			if(data.bottomTags){
				sb.append('<div class="ty-bj-white ty-font-gray ">');
				sb.append('<div class="ty-j2 ty-b6 ty-o1" style="padding:  10px 14px 11px 0;">');
				sb.append('<div style="position: absolute;top:-12px;left:15px;"><img src="' +imagePrefix+ 'mall/mall_sj.png" style="width: 9px;position: relative;top:-3px;"></div>');
				var list = data.bottomTags;
				for(var i = 0; i < list.length; i++){
					sb.append('<div class="ty-k21 ty-a1 ty-i7 ty-font-gray2 ty-nowrap"><img src="').append(this.getImageByType(list[i].type)).append('" style="width: 15px;"> <span class="ty-a1">').append(list[i].value).append('</span></div>');
				}
				sb.append('</div>');
				sb.append('</div>');
				obj.find('div.orderBaseInfoBottomTagsClass').empty().append(sb.toString());
			}
		},
		_initBaseInfoPackageDetail:function(obj,data){
			var numberIndex = '';
			var sb = getSBuilder();
			if(data.packageList){//套餐列表
				var list = data.packageList;
				for(var i = 0; i < list.length; i++){
					if(i == 0){
						sb.append('<div class="ty-b1">');
					}else{
						sb.append('<div class="ty-b1" style="margin-top: 4px;">');
					}
					sb.append('<div class="ty-k5 ').append((i==1 || i==3 || i==8) ? 'ty-a3' : 'ty-a1').append(' ty-nowrap ty-font-gray2" style="vertical-align:top!important;">' + list[i].name + '</div>');
					sb.append('<div class="ty-k15 ').append((i==1 || i==3 || i==8) ? 'ty-a3' : 'ty-a1').append(' ty-m3 ty-font-blue" style="vertical-align:top!important;">');
					if(list[i].name == '天翼号码'){
						sb.append('<div><span class="ty-a1 ty-font-gray2 ty-l21">·</span>主卡<span class="ty-l3">');
						sb.append(this.getValue(list[i].name,list[i].value[0].number));
						sb.append('</span></div>');
						if(list[i].value.length > 1){
							for(var j = 0;j < list[i].value[1].number.length;j++){
								sb.append('<div><span class="ty-a1 ty-font-gray2 ty-l21">·</span>').append((j == 0) ? '副卡<span class="ty-l3"></span>' : ' ');
								sb.append(this.getValue(list[i].name,list[i].value[1].number[j]));
								sb.append('</div>');
							}
						}
						numberIndex = i;
					}else if(list[i].name == '月功能费'){
						sb.append(list[i].value);
						//console.error(numberIndex);
						//console.error(list[numberIndex]);
						if(numberIndex != null &&  numberIndex != ''){
							if(list[numberIndex].value.length > 1){
								sb.append('<div class="ty-l9"><span class="ty-a1 ty-font-gray2 ty-l21">·</span>副卡 10元/张</div>');
							}
							
						}
					}else if(list[i].name == '赠品'){
						//if(list[i].value.length >1){
							//for(var j = 0;j < list[i].value.length;j++){
								//sb.append('<div><span class="ty-a1 ty-font-gray2 ty-l21">·</span>').append(list[i].value[j]).append('</div>')
							//}
						//}else{
							sb.append(list[i].value);
						//}
					}else{
						sb.append(list[i].value);
					}
					sb.append('</div>');
					sb.append('</div>');
					obj.find('div.orderBaseInfo_packageDetailList').empty().append(sb.toString());
				}
			}
		},
		getImageByType:function(type){
			var str = null;
			if(type == 'sjjg'){//手机价格
				str = 'mall/m_shouji.png'
			}else if(type == 'tcyc'){//套餐预存
				str = 'mall/m_qian.png'
			}else if(type == 'lhyc'){//靓号预存
				str = 'mall/m_liang.png'
			}
			if(str != null){
				return imagePrefix + str;
			}
			return '';
		},
		callback:function(){},
		data:function(){}
	}
	
	/*
	 *	详情页描述、促销、赠品查看等通用控件
	 */
	var discountListWidget = function(){
		this.type = 'normal';//normal 基础服务(默认)；discount 促销；gift 赠品；discountOrder 订单页促销
		this.title = '基础服务';//对应normal
		this.id = null;
		this.callbackFunc = null;
		this.data =null;
		this.needCallBack = false;
		this.page = null;
		this.dom = null;
		this.displayDom = null;
		this.refreshFunc = null;
	};
	discountListWidget.prototype = {
		init:function(option){//初始化
			if(!option||!option.data||!option.page){
				return;
			}
			this.data=option.data;
			this.page=option.page;
			if(option.needCallBack){
				this.needCallBack=option.needCallBack;
			}
			if(option.callback){
				this.callbackFunc=option.callback;
			}
			if(option.type){
				this.type=option.type;
			}
			if(option.needNumberOrderId){
				this.needNumberOrderId=option.needNumberOrderId;
			}
			if(option.numberOrderId){
				this.numberOrderId=option.numberOrderId;
			}
			if(option.tipDom){
				this.tipDom=option.tipDom;
			}
			if(option.title){
				this.title=option.title;
			}
			if(option.displayDom){
				this.displayDom=option.displayDom;
			}
			if(option.refreshFunc){
				this.refreshFunc=option.refreshFunc;
			}
			this.id = new Date().getTime()+'_dlW'
			this._buildDom();
			return this;
		},
		_buildDisplayDom:function(itemData){
			this.displayDom.html('');
			if(this.type=='normal'){
				var contentDom=$('<div class="ty-c8"></div>');
				for(var i=0;i<this.data.length;i++){
					var tData=this.data[i];
					var tDom=$('<div class=" ty-a1 ty-i7 ty-font-gray2 ty-nowrap" style="flex: '+(tData.title.length>4?'1.1':'1')+';"><img src="'+tData.imgUrl+'" style="width: 15px;height: 15px;"> <span class="ty-a1">'+tData.title+'</span></div>');
					contentDom.append(tDom);
				}
				this.displayDom.append(
						$('<div class="ty-j2 ty-b6 ty-o1" style="padding:  10px 14px 10px 0;"></div>').append(
								$('<div class="ty-k19 ty-a1"></div>').append(contentDom)).append('<div class="ty-k1 ty-a3 ty-m3 ty-nowrap"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div>'));
			}else if(this.type=='discount'){
				var domTitle=$('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2"><span class="ty-a1">'+this.title+'</span></div>');
				var contentDom=$('<div class="ty-k16 ty-a3 ty-i8"></div>');
				var endImgDoms=$('<div class="ty-b1" style="margin-top: 4px;"></div>');
				for(var i=0;i<this.data.length;i++){
					var tData=this.data[i];
					var tDom=$('<div class="ty-b1" style="'+(i>0?'margin-top: 4px;':'')+'"></div>');
					var tDomImg=$('<div class="ty-a1" style="max-width: 33px;"><img src="'+tData.imgUrl+'" class="ty-a1" style="width:33px;height:14px;position: relative;top:-1px;"></div>');
					var tDomTitle=$('<div class="ty-k17 ty-a1"> <div class="ty-a1 ty-d10 ">'+tData.title+'</div></div>');
					if(i>2&&this.data.length>3){
						break;
					}
					contentDom.append(tDom.append(tDomImg).append(tDomTitle));
				}
				if(this.data.length>3){
					for(var i=2;i<this.data.length;i++){
						var tData=this.data[i];
						endImgDoms.append($('<div class="ty-k4 ty-a1" style="max-width: 33px;'+(i>1?'margin-right:8px;':'')+'"><img src="'+tData.imgUrl+'" class="ty-a1" style="width:33px;height:14px;position: relative;top:-1px;"></div>'));
					}
					contentDom.append(endImgDoms);
				}
				this.displayDom.append(domTitle).append(contentDom).append('<div class="ty-k1 ty-a3 ty-m3 ty-nowrap"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div>');
			}else if(this.type=='gift'){
				
				var domTitle=$('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">'+this.title+'</span></div>');
				var contentDom=$('<div class="ty-k16 ty-a1 ty-m3"></div>');
				var titleDom=$('<span class="ty-a1 ty-i8 ty-d10">'+itemData.title+'</span><div class="ty-a3 ty-m3 ty-nowrap noUse"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span></div>');
				contentDom.append(titleDom);
				this.displayDom.append(domTitle).append(contentDom);
				//this.displayDom.append(domTitle).append($('<div class="ty-k16 ty-a1 ty-i8"></div>').append(contentDom)).append($('<div class="ty-k1 ty-a3 ty-m3 ty-nowrap"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div>'));
			}else if(this.type=='discountOrder'){
				var domTitle=$('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">'+this.title+'</span></div>');
				 var titleDom=$('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><span class="ty-font-orange2 ">'+itemData.title+'</span><div class="ty-a3 ty-m3 ty-nowrap"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div></div>');
		            this.displayDom.append(domTitle).append(titleDom);
				}else if(this.type=='orderPayType'){
					var domTitle=$('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">'+this.title+'</span></div>');
					var imgDom;
					if(itemData.imgUrl){
						imgDom=$('<img src="'+itemData.imgUrl+'" style="width: 71px;margin-right: 10px;">')
					}
					var titleDom=$('<div class="ty-k16 ty-a1 ty-i8 ty-m3"></div>');
					if(imgDom){
						titleDom.append(imgDom);
					}
					titleDom.append(itemData.title?itemData.title:'').append('<div class="ty-a3 ty-m3 ty-nowrap"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div>');
	            this.displayDom.append(domTitle).append(titleDom);
			}
			var _self=this;
			this.displayDom.find('img').each(function(){
				this.onload=function(){
					_self.refreshFunc&&_self.refreshFunc();
				}
			});
			_self.refreshFunc&&_self.refreshFunc();
			onClick(this.displayDom,function(){
				if(_self.needNumberOrderId == true){
					if(!_self.numberOrderId){
						_self.tipDom.show();
						setTimeout(function(){
							_self.tipDom.hide();
						},3000);
					}else{
						_self.show();
					}
				}else{
					_self.show();
				}
			});
		},
		_buildDom:function(){//构建dom
			this.page.find('.'+this.id).remove();
			this.dom=$('<div class="ty-mask"  style="display: none" ></div>');
			this.dom.append('<div class="ty_mask_blankBtn"></div>');
			var contentDom=$('<div class="ty-o2 ty-k20 ty-p3 ty-p2" style="width: 100%;height: auto;background: #f8f8f8;"></div>');
			var titleDom=$('<div class="ty-c7 ty-l47 ty-z2  ty-bj-white ty-bj-gray6 ty-i10 " style="height: 44px;"><div class="ty-b1 " ><div class=" ty-c4 ty-k2 ty-a1 ty-font-gray10"></div><div class=" ty-c4 ty-k16 ty-m1 ty-a1 ty-i12 ty-font-gray">'+this.title+'</div><div class="dlw_CloseBtn ty-c4 ty-k2  ty-font-gray ty-m3 ty-a1"><img src="' + handleDomainContent("http://gxb.go189.cn:10002/tycc/mc/m_close_btn.png") + '" style="width: 17px;margin-right: 5px;"> </div></div></div>');
			var _self = this;
			titleDom.find('.dlw_CloseBtn').click(function(){
				_self.dom.hide();
			});
			var innerHeight = window.innerHeight * 0.455;
			var listDom=$('<div class="ty-j1 ty-bj-white ty-font-gray ty-i3" style="height: '+innerHeight+'px;overflow-y:scroll;" ><div>');
			for(var i=0;i<this.data.length;i++){
				var item=this.data[i];
				var itemDom=$('<div class="dlw_dataItem ty-j1 ty-b6" style="padding: 10px 14px 10px 0;"></div>');
				if(this.type=='normal'){
					var itemContent=$('<div class="ty-k20 ty-a1 ty-i8"></div>');
					var itemTitleContentDom=$('<div class="ty-font-gray6 ty-n1 ty-i9"></div>');
					if(item.imgUrl){
						var itemTitleImgDom=$('<img src="'+item.imgUrl+'" class="ty-a1"  style="width: 15px;height: 15px;">');
						itemTitleContentDom.append(itemTitleImgDom);
					}
					itemTitleContentDom.append('<span class="ty-a1" style="margin-left: 5px;">'+(item.title?item.title:'')+'</span>');
					itemTitleContentDom.append('<div class="ty-font-gray2 ty-n1" style="margin-top: 4px;margin-left: 20px;">'+(item.desc?item.desc:'')+'</div>');
					itemContent.append(itemTitleContentDom);
					itemDom.append(itemContent);
				}else if(this.type=='discount'||this.type=='gift'||this.type=='discountOrder'){
					if(this.type=='discount'||this.type=='discountOrder'){
						var itemImgContentDom=$('<div class="ty-k2 ty-a1 ty-i3 " style="max-width: 33px;"></div>');
					}
					if(item.imgUrl){
						var itemImgDom=$('<img src="'+item.imgUrl+'" class="ty-a1" style="width:33px;position: relative;top:-1px;">');
						itemImgContentDom.append(itemImgDom);
					}
					var itemTitleContentDom=$('<div class="ty-a1 ty-i3 "><span class="ty-a1 ty-d10 ty-i9">'+(item.title?item.title:'')+'</span></div>')
					var checkDom;
					if(this.needCallBack){
						itemTitleContentDom.addClass('ty-k17');
						checkDom=$('<div class="ty-k1 ty-a1 ty-m2 ty-font-gray2 dlw_dataCheck"><img src="' +imagePrefix+ 'mall/check'+(i==0?'':'_k')+'.png" class=" ty-a1" style="width: 18px;"></div>');
					}else{
						itemTitleContentDom.addClass('ty-k18');
					}
					itemDom.append(itemImgContentDom).append(itemTitleContentDom);
					if(checkDom){
						itemDom.append(checkDom);
					}
				}else if(this.type=='orderPayType'){
					var itemContent=$('<div class=" ty-a1 ty-i8"></div>');
					var itemTitleContentDom=$('<div class="ty-font-gray6 ty-n1 ty-i9"></div>');
					itemTitleContentDom.append('<span class="ty-a1" style="margin-left: 5px;">'+(item.title?item.title:'')+'</span>');
					if(item.imgUrl){
						var itemTitleImgDom=$('<img src="'+item.imgUrl+'" class="ty-a1"  style="width: 71px;margin-left:10px;">');
						itemTitleContentDom.append(itemTitleImgDom);
					}
					var checkDom;
					if(this.needCallBack){
						itemContent.addClass('ty-k19');
						checkDom=$('<div class="ty-k1 ty-a1 ty-m2 ty-font-gray2 dlw_dataCheck"><img src="' +imagePrefix+ 'mall/check'+(i==0?'':'_k')+'.png" class=" ty-a1" style="width: 18px;"></div>');
					}else{
						itemContent.addClass('ty-k20');
					}
					itemContent.append(itemTitleContentDom);
					itemDom.append(itemContent);
					if(checkDom){
						itemDom.append(checkDom);
					}
				}
				itemDom.data('data',item);
				listDom.append(itemDom);
			}
			if(_self.displayDom){
				_self._buildDisplayDom(_self.data[0]);
			}
			if(this.needCallBack){
				onListClick(listDom,function(target){
					if(target[0]&&target[0].tagName=='DIV'&&target.hasClass('dlw_dataItem')){
						_self.dom.find('.dlw_dataCheck img').attr('src',imagePrefix+ 'mall/check_k.png');
						target.find('.dlw_dataCheck img').attr('src',imagePrefix+ 'mall/check.png');
						var itemData=target.data('data');
						//console.error(target.data('data'))
						if(_self.displayDom){
							_self._buildDisplayDom(itemData);
						}
						_self.callbackFunc&&_self.callbackFunc(itemData);
						_self.dom.hide();
					}
				},'.dlw_dataItem');
			}
			onClick(this.dom.find('.ty_mask_blankBtn'),function(){
				_self.dom.hide();
			});
			contentDom.append(titleDom).append(listDom);
			this.dom.append(contentDom);
			this.page.append(this.dom);
		},
		show:function(){
			this.dom.show();
			this.dom.find('.ty_mask_blankBtn').css('height',(window.innerHeight-this.dom.find("div").eq(1).height())+'px')
		},
		refresh:function(){//刷新
		},
		reset:function(){//重置
			this._buildDom();
		},
		callback:function(callback){//回调
			this.callbackFunc = callback;
		},
		data:function(){//获取数据
			return this.data;
		}
	};
	
	/**
	 * 入网信息对象定义
	 */
	var NetInWidget = function(){
		this.callbackFunc = null;
		this.data = null;
		this.url = '';
		this.innerDatas = [];
	}
	/**
	 * 入网信息控件方法定义
	 */
	NetInWidget.prototype = {
		init:function(option){//初始化
			if(!option || !option.dom){
				return;
			}
			var me = this;
			me.data = null;
			me.common = option.common;
			me.module = option.module;
			var data = option.data;
			var sb = getSBuilder();
			var netInDiv = option.dom.find('div.netInDivClass');
			me.module.data.complete = false;				
			if(!netInDiv[0]){
				sb.clear();
				sb.append('<div class="ty-j1 ty-b6 netInDivClass" style="padding: 10px 14px 11px 0;">');
				sb.append('</div>');
				netInDiv = $(sb.toString());
				option.dom.empty().append(netInDiv);
				onClick(netInDiv,function(e){
					if(me.module.data.complete){
						 option.dom1.html('入网信息已填写，不能修改哦，亲！');
						 option.dom1.css('display','block');
						 setTimeout(function(){
							 option.dom1.css('display','none');
							},2000);
						 return;
		            }else{
		            	me.url = 'plugins/entryNet';//入网信息页面
						changePage(me.url,{param:{dataitem:data,widgetCallback:function(data){
							widgets.setNoRefresh(true);//防止刷新页面
							me._initNetIned(netInDiv,data);
							me.module.data.complete = true;
							me.common && me.common.scroll && me.common.scroll.refresh();
						}}});
		            }
					
				});
			}else{
				onClick(netInDiv,function(e){
					if(me.module.data.complete){
						 option.dom1.html('入网信息已填写，不能修改哦，亲！');
						 option.dom1.css('display','block');
						 setTimeout(function(){
							 option.dom1.css('display','none');
							},2000);
						 return;
		            }else{
		            	me.url = 'plugins/entryNet';//入网信息页面
						changePage(me.url,{param:{dataitem:data,widgetCallback:function(data){
							widgets.setNoRefresh(true);//防止刷新页面
							me._initNetIned(netInDiv,data);
							me.module.data.complete = true;
							me.common && me.common.scroll && me.common.scroll.refresh();
						}}});
		            }
					
				});
			}
			sb.clear();
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">入网信息</span></div>');
			sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><span class="ty-dot-red "></span>未填写<i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
			netInDiv.empty().append(sb.toString());
			netInDiv.data('data',data);
			return this;
		},
		_initNetIned:function(netInDiv,data){//入网信息提交后
			this.innerDatas = data;
			var sb = getSBuilder();
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray" ><span class="ty-a1">入网信息</span></div>');
			sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
            sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2" style="margin-top: 7px;"><span class="ty-a1">申办人</span></div>');
            sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m2 ty-font-gray" style="margin-top: 7px;"><span class="ty-a1">').append(data.installAddress.realName).append('</span></div>');
            sb.append('<div class="ty-k4 ty-a3 ty-i8 ty-font-gray2" style="margin-top: 4px;"><span class="ty-a3">身份证</span></div>');
            sb.append('<div class="ty-k16 ty-a3 ty-i8 ty-m2 ty-font-gray" style="margin-top: 4px;">');
            sb.append('<div class="ty-a3">').append(data.installAddress.credentialsNumber).append('</div>');
            sb.append('<div class="ty-i7 ty-font-gray2"><span class="ty-dot-red "></span>请持本人有效期内二代身份证原件(不含临时身份证)签收</div>');
            sb.append('</div>');
            netInDiv.empty().append(sb.toString());
            this.callback(true,this.innerDatas);

		},
		callback:function(callback,innerDatas){//回调
			this.callbackFunc && this.callbackFunc(callback,innerDatas);		
		},
		data:function(){//获取数据
			return this.innerDatas ;
		}
	};

	/**
	 * 安装信息对象定义
	 */
	var installInWidget = function(){
		this.callbackFunc = null;
		this.data = null;
		this.url = '';
		this.innerDatas = [];
	}
	/**
	 * 安装信息控件方法定义
	 */
	installInWidget.prototype = {
		init:function(option){//初始化
			if(!option || !option.dom){
				return;
			}
			var me = this;
			me.data = null;
			me.common = option.common;
			me.module = option.module;
			var data = option.data;
			var sb = getSBuilder();
			var installInDiv = option.dom.find('div.installInDivClass');
			//if(!installInDiv[0]){
				sb.clear();
				if(data.goodsType == '0103'){
					sb.append('<div class="ty-b6 installInDivClass" style="padding: 10px 14px 11px 0;">');
				}else{
					sb.append('<div class="'+(data.infoType == '2'?'':'ty-j1')+' ty-b6 installInDivClass" style="padding: 10px 14px 11px 0;">');
				}
				sb.append('</div>');
				installInDiv = $(sb.toString());
				option.dom.empty().append(installInDiv);
				
				if(data.infoType == '1'){
					option.dom.find('div:first').addClass('orderAnZhuangInfoClass');
				}else{
					option.dom.find('div:first').removeClass('orderAnZhuangInfoClass');
				}
				
				onClick(installInDiv,function(e){
					if(installInDiv.find('div.innerTitle')[0]){
						me.hasData = true;
					}else{
						me.hasData = false;
					}
					if(data.infoType == '2'){
						if(option.dom.parent().find('div.orderAnZhuangInfoClass')[0]){
							if(!option.dom.parent().find('div.orderAnZhuangInfoClass').find('div.adressi')[0]){
								data.dom1.find('div.tipdetails').html(data.tipd);
								data.dom1.css('display','block');
								return;
							}
						}
					}
					changePage(data.url,{param:{hasData:me.hasData,dataitem:data,commonadress:me.module.commonadress,widgetCallback:function(dataitem){
						me.module.data.dataitem = dataitem;
						widgets.setNoRefresh(true);//防止刷新页面
						if(dataitem.installInfo.addressInfo){
							me.module.commonadress = dataitem.installInfo.addressInfo;
						}
						me.module.commontime = dataitem.installInfo.installtime;
						me._initInstallIned(installInDiv,dataitem,me.module.commontime,me.module.commonadress);
						me.common && me.common.scroll && me.common.scroll.refresh();
					}}});
				});
			//}
			
			sb.clear();
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">'+data.infoName+'</span></div>');
			if(data.infoType == '2' && option.dom.parent().find('div.orderAnZhuangInfoClass')[0]){
				sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><span class="ty-dot-red "></span>默认同安装信息<i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
			}else{
				sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><span class="ty-dot-red "></span>未填写<i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
			}
			installInDiv.empty().append(sb.toString());
			installInDiv.data('data',data);
			return this;
		},
		_initInstallIned:function(installInDiv,data,commontime,commonadress){//安装信息提交后
			this.innerDatas = [data,commontime,commonadress];
			var sb = getSBuilder();
			var address = '';
			if(commontime !=''){
				address = '安装地点' ;
			}else{
				address = '收货地点' ;
			}
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray innerTitle"><span class="ty-a1">'+data.installInfo.title+'</span></div>');
			sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
			sb.append('<div class="ty-k4 ty-a3 ty-i8 ty-font-gray2" style="margin-top: 7px;"><span class="ty-a1">'+address+'</span></div>');
			sb.append('<div class="ty-k16 ty-a3 ty-i8 ty-m2 ty-font-gray adressi" style="margin-top: 7px;"><span class="ty-a1">'+commonadress+'</span></div>');
			
			if(commontime!=''){
				sb.append('<div class="ty-k4 ty-a3 ty-i8 ty-font-gray2" style="margin-top: 4px;"><span class="ty-a1">安装时间</span></div>');
				sb.append('<div class="ty-k16 ty-a3 ty-i8 ty-m2 ty-font-gray" style="margin-top: 4px;">');
					sb.append('<span class="ty-a1">'+commontime+'</span>');
				sb.append('</div>');
			}
			
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2" style="margin-top: 4px;"><span class="ty-a1">联系人</span></div>');
			sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m2 ty-font-gray" style="margin-top: 4px;"><span class="ty-a1">'+data.installInfo.realName+'</span></div>');
			sb.append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2" style="margin-top: 4px;"><span class="ty-a1">联系电话</span></div>');
			sb.append('<div class="ty-k16 ty-a1 ty-i8 ty-m2 ty-font-gray" style="margin-top: 4px;">');
				sb.append('<span class="ty-a1">'+data.installInfo.telephone+'</span>');
			sb.append('</div>')
            installInDiv.empty().append(sb.toString());
			this.callback(true,this.innerDatas);
		},
		callback:function(callback,innerDatas){//回调
			this.callbackFunc&&this.callbackFunc(callback,innerDatas);		
		},
		data:function(){//获取数据
			return this.innerDatas ;
		}
	};
	
	
	/*
	 *	优惠套装插件
	 */
	var salesPackWidget = function(){
		this.selectedData = null;
		this.data = null;
		this.parent = null;
		this.displayDom = null;
		this.noRefresh = false;
	};
	salesPackWidget.prototype = {
		init:function(option){//初始化
			if(!option||!option.data||!option.callback||!option.displayDom){
				return;
			}
			this.data=option.data;
			this.callbackFunc=option.callback;
			this.displayDom=option.displayDom;
			if(option.refreshFunc){
				this.refreshFunc=option.refreshFunc;
			}
			this._buildDom(option);
			return this;
		},
		_buildDom:function(option){//构建dom
			var _self=this;
			_self.displayDom.html('');
			var itemData=_self.data[0];
			var titleDom=$('<div class=" ty-b6" style="padding: 15px 15px 0 0;line-height: 11px;">'
				+'<div class="ty-k5 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">'+itemData.title+'</span></div>'
	            +'<div class="ty-k14 ty-a1 ty-i8 ty-m3"><span class="ty-a1 ty-font-gray2">共'+_self.data.length+'个套装</span></div>'
	            +'<div class="ty-k1 ty-a1 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2 ty-o1" style="top:-1px;"></i> </div>'
	            +'</div>');
			var contentDom=$('<div class=" ty-b6" style="padding: 10px 14px 19px 0;"></div>')
			var goodsDom=$('<div class="ty-k12 ty-a1 ty-i8"></div>');
			var goodsListDom=$('<div class=" ty-c7 ty-z2 ty-m4"></div>');
			for(var i=0;i<itemData.goods.length&&i<2;i++){
				var goodsData=itemData.goods[i];
				var goodsItemDom=$('<span class="ty-c7 ty-z2 ty-m5 ty-mall-goods">'
		            +'<img src="'+goodsData.imgUrl+'" class="ty-a1 " style="width: 54px;">'
		            +'</span>');
				if(i>0){
					goodsListDom.append('<span class="ty-i1 ty-font-gray ty-c7 " style="margin: 0 5px;width: 7px">+</span>');
				}
				goodsListDom.append(goodsItemDom);
			}
			if(itemData.goods.length>2){
				goodsListDom.append('<span class="ty-i1 ty-font-gray ty-c7 " style="margin: 0 5px;width: 7px">+</span>'
		            +'<span class="ty-i8 ty-font-gray ty-c7 ty-m5 ty-z2">'
		            +'<div><div class="ty-m1 ty-i1">...</div><div class="ty-i8 ty-font-gray2 ">共'+itemData.goods.length+'件</div></div>'
		            +'</span>');
			}else{
				goodsListDom.append('<span class="ty-i1 ty-font-gray ty-c7 " style="margin: 0 5px;width: 7px"></span>'
			            +'<span class="ty-i8 ty-font-gray ty-c7 ty-m5 ty-z2">'
			            +'<div><div class="ty-i8 ty-font-gray2 ">共'+itemData.goods.length+'件</div></div>'
			            +'</span>');
			}
			goodsDom.append(goodsListDom);
			var priceDom,price1,price2;
			if((itemData.salesPrice+"").indexOf('.')>0){
				var prices=itemData.salesPrice.toString().split('.');
				price1=prices[0];
				price2='.'+prices[1];
			}else{
				price1=itemData.salesPrice;
				price2='';
			}
			priceDom=$('<div class="ty-k8 ty-a1 ty-i8 ty-m3 ">'
                +'<span class="ty-font-orange2 ty-c4 ty-price-tag">'
                +'<span class="ty-c7 ty-z2 ty-m5">'
                +'<span class="ty-i1 ty-c7">立省<i class="iconTy0-yuan ty-i1"></i></span>'
                +'<span class="ty-i10 " style="margin-left: 6px;">'+price1+'</span>'
                +'<sub class="ty-i1 ">'+price2+'</sub>'
                +'</span>'
                +'</span>'
                +'</div>')
			_self.displayDom.append(titleDom).append(contentDom.append(goodsDom).append(priceDom));
			_self.displayDom.find('img').each(function(){
				this.onload=function(){
					_self.refreshFunc&&_self.refreshFunc();
				}
			});
			onClick(_self.displayDom,function(){
				
				_self.tipFunc = option.tipFunc;
				if(option.judgeDom.hasClass("ty-f6") && option.tipFunc){
					//alert(0);
					option.tipFunc();
				}else{
					//alert(7)
					changePage('plugins/salesPack',{param:{data:_self.data,widgetCallback:function(data){
						if(data){
							_self.callbackFunc && _self.callbackFunc(data);
						}else{
							widgets.setNoRefresh(true);
						}
					},numberData:this.numberData}});
				}
				
				
			});
			_self.refreshFunc&&_self.refreshFunc();
		},
		refresh:function(){//刷新
		},
		reset:function(){//重置
			this._buildDom(option);
		},
		callback:function(callback){//回调
			this.callbackFunc = callback;
		},
		data:function(){//获取数据
			return this.selectedData;
		}
	};
	
	/*
	 *	发票
	 */
	var invoceWidget = function(){
		this.id = null;
		this.data = false;
		this.displayDom = null;
		this.refreshFunc = null;
	};
	invoceWidget.prototype = {
		init:function(option){//初始化
			if(!option||!option.displayDom){
				return;
			}
			if(option.displayDom){
				this.displayDom=option.displayDom;
			}
			if(option.refreshFunc){
				this.refreshFunc=option.refreshFunc;
			}
			this.id = new Date().getTime()+'_dlW'
			this._buildDom();
			return this;
		},
		_buildDom:function(){
			this.displayDom.empty();
			var titleDom=$('<div class="ty-b6" style="padding: 10px 14px 11px 0">'
	            +'<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">普通发票</span></div>'
	            +'<div class="ty-k16 ty-a1 ty-i8 ty-m3">'
	            +'<span class="ty-a1  ty-boxsizing ty-sliding-btn" style="">'
	            +'<div class="ty-sliding-yuan ty-sliding-hide ty-sliding_02" style=""></div>'
	            +'</span></div></div>');// ty-sliding-bg-show left:20px
			var contentDom=$('<div class=" ty-b6" style="padding: 5px 15px 5px 0;display:none;">'
	            +'<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">发票内容 </span></div>'
	            +'<div class="ty-k16 ty-a1 ty-i8 ty-m2 ty-font-gray"><span class="ty-a1">商品明细</span></div>'
	            +'<div class="ty-k4 ty-a3 ty-i8 ty-font-gray2" style="margin-top: 4px;"><span class="ty-a1">发票说明</span></div>'
	            +'<div class="ty-k16 ty-a3 ty-i8 ty-m2 ty-font-gray" style="margin-top: 4px;">'
	            +'<span class="ty-a1">套餐中涉及手机、路由器、机顶盒等终端类业务，将开具纸质发票随物流包裹寄送；套餐产品的业务发票，请至客户端内“我的-我的发票”栏目中根据提示进行开具（充值除外）。</span>'
	            +'</div></div>');
			var _self=this;
			_self.data=false;
			this.displayDom.append(titleDom).append(contentDom);
			_self.displayDom.find('.ty-sliding-btn').parent()[0].addEventListener('touchstart',function(e){
				if(_self.data){
					_self.displayDom.find('.ty-sliding-btn').removeClass('ty-sliding-bg-show');
					_self.displayDom.find('.ty-sliding-btn').find('div').css('left','0px');
					titleDom.removeClass('ty-j1');
					contentDom.hide();
					_self.data=false;
				}else{
					titleDom.addClass('ty-j1');
					_self.displayDom.find('.ty-sliding-btn').addClass('ty-sliding-bg-show');
					_self.displayDom.find('.ty-sliding-btn').find('div').css('left','20px');
					contentDom.show();
					_self.data=true;
				}
				_self.refreshFunc&&_self.refreshFunc();
			});
			_self.refreshFunc&&_self.refreshFunc();
		},
		refresh:function(){//刷新
			
		},
		reset:function(){//重置
			this._buildDom();
		},
		callback:function(callback){//回调
			this.callbackFunc = callback;
		}
	};
	/*
	 *	订单积分插件
	 */
	var bonusWidget = function(){
		this.id = null;
		this.data = false;
		this.userScore = null;//用户当前积分
		this.scoreRole = null;//每100积分抵现金额
		this.scoreMax = null;//优惠可使用最大积分
		this.payScore = 0;
		this.displayDom = null;
		this.refreshFunc = null;
	};
	bonusWidget.prototype = {
		init:function(option){//初始化
			if(!option||!option.displayDom){
				return;
			}
			if(option.needNumberOrderId){
				this.needNumberOrderId=option.needNumberOrderId;
			}
			if(option.numberOrderId){
				this.numberOrderId=option.numberOrderId;
			}
			if(option.tipDom){
				this.tipDom=option.tipDom;
			}
			if(option.displayDom){
				this.displayDom=option.displayDom;
			}
			if(option.refreshFunc){
				this.refreshFunc=option.refreshFunc;
			}
			this.callbackFunc = option.callback;
			this.userScore = option.userScore;//用户当前积分
			this.scoreRole = option.scoreRole;//每100积分抵现金额
			this.scoreMax = option.scoreMax;//优惠可使用最大积分
			this.id = new Date().getTime()+'_dlW'
			this._buildDom(option);
			return this;
		},
		_buildDom:function(option){
			this.displayDom.empty();
			var titleDom=$('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">积分抵扣</span></div>'
		            +'<div class="ty-k16 ty-a1 ty-i8 ty-m3">'
		            +'<div class="ty-k16 ty-a1 bonusDomContent"></div>'
		            +'<div class="ty-k3 ty-a1">'
		            +'<span class="ty-a1  ty-boxsizing ty-sliding-btn " style="">'
		            +'<div class="ty-sliding-yuan ty-sliding-hide ty-sliding_01" style="left:-1px"></div>'
		            +'</span></div></div>');
			var _self=this;
			_self.data=false;
			this.displayDom.append(titleDom);
			_self._buildContentDom(option);
			onClick(_self.displayDom.find('.ty-sliding-btn'),function(target){
				var status = APP.main.getData('loginStatus');
					if(_self.userScore&&_self.userScore>0){
						if(_self.needNumberOrderId == true){
							
							if(!_self.numberOrderId){
								_self.tipDom.show();
								setTimeout(function(){
									_self.tipDom.hide();
								},3000);
							}else{
								if(_self.data){
									_self.displayDom.find('.ty-sliding-btn').removeClass('ty-sliding-bg-show');
									_self.displayDom.find('.ty-sliding-btn').find('div').css('left','0px');
									_self.data=false;
								}else{
									_self.displayDom.find('.ty-sliding-btn').addClass('ty-sliding-bg-show');
									_self.displayDom.find('.ty-sliding-btn').find('div').css('left','20px');
									_self.data=true;
								}
								_self.callbackFunc && _self.callbackFunc();
							}
						}else{
							if(_self.data){
								_self.displayDom.find('.ty-sliding-btn').removeClass('ty-sliding-bg-show');
								_self.displayDom.find('.ty-sliding-btn').find('div').css('left','0px');
								_self.data=false;
							}else{
								_self.displayDom.find('.ty-sliding-btn').addClass('ty-sliding-bg-show');
								_self.displayDom.find('.ty-sliding-btn').find('div').css('left','20px');
								_self.data=true;
							}
							_self.callbackFunc && _self.callbackFunc();
						}
					}
				_self.refreshFunc&&_self.refreshFunc();
			});
			_self.refreshFunc&&_self.refreshFunc();
		},
		_buildContentDom:function(option){
			var _self = this;
			var status = APP.main.getData('loginStatus');
			//if(status == 0 || status == '0'){
				/*_self.displayDom.find('.bonusDomContent').html('未登录无法获取积分');
				_self.displayDom.find('.ty-sliding-btn').removeClass('ty-sliding-bg-show');
				_self.displayDom.find('.ty-sliding-btn').find('div').css('left','0px');
				_self.data=false;*/
			//}else{
				this.userScore = option.userScore;//用户当前积分
				this.scoreRole = option.scoreRole;//每100积分抵现金额
				this.scoreMax = option.scoreMax;//优惠可使用最大积分
				var text="";
				if(_self.userScore&&_self.userScore>0){
					if(_self.userScore<100){
						text="共"+_self.userScore+"积分，每100积分可以抵扣"+_self.scoreRole+"元";
					}else if(_self.userScore>_self.scoreMax){
						_self.payScore = ((_self.scoreMax/100)*_self.scoreRole);
						text="共"+_self.userScore+"积分，"+_self.scoreMax+"积分抵扣"+_self.payScore+"元";
					}else{
						var leftScore = _self.userScore%100;
						//var useScore = Math.floor(_self.userScore/100);
						var useScore = _self.userScore - leftScore;
						_self.payScore = useScore/100*_self.scoreRole;
						text="共"+_self.userScore+"积分，"+ useScore +"积分抵扣"+_self.payScore+"元";
					}
				}else{
					text="无可用积分";
				}
				_self.displayDom.find('.bonusDomContent').html(text);
				/*_self.displayDom.find('.ty-sliding-btn').addClass('ty-sliding-bg-show');
				_self.displayDom.find('.ty-sliding-btn').find('div').css('left','20px');*/
				//_self.data=true;
			//}
		},
		data:function(){
			return this.payScore;
		},
		refresh:function(){//刷新
			
		},
		reset:function(){//重置
			this._buildDom();
		},
		callback:function(callback){//回调
			this.callbackFunc = callback;
		}
	};
	
	/*
	 *	选号码插件
	 */
	var chooseNbrWidget = function(){
		this.id = null;
		this.data = false;
		this.displayDom = null;
		this.refreshFunc = null;
		this.mainCardNum = null;
		this.callbackFunc = null;
		this.personData = null;
	};
	chooseNbrWidget.prototype = {
			init:function(option){//初始化
                if(!option || !option.dom){
                    return;
                }
                var me = this;
                me.callbackFunc=option.callbackFunc;
                me.data = null;
                me.common = option.common;
                me.module = option.module;
                var data = option.data;
                var sb = APP.tool.stringBuilder.get();
                var chooseNbrDiv = option.dom.find('div.chooseNbrDom');
                if(!chooseNbrDiv[0]){
                    sb.clear();
                    sb.append('<div class="ty-b6 chooseNbrDom" style="padding: 12px 14px 10px 0;">');
                    sb.append('</div>');
                    chooseNbrDiv = $(sb.toString());
                    option.dom.empty().append(chooseNbrDiv);
                }
                APP.main.onClick(chooseNbrDiv,function(e){
                    me.url = 'newPrettyNumber/indexPN';//入网信息页面
                    APP.page.changePage(me.url,{param:{widgetCallback:function(data,numberType){
                        if(numberType == 'newNbr'){
                            me._initChoseNbr(chooseNbrDiv,data,option.poolId);
                            me.callbackFunc && me.callbackFunc(data);
                            APP.widgets.setNoRefresh(true);//防止刷新页面
                        }else if(numberType == 'occupiedNbr'){
                            me._initChoseNbr(chooseNbrDiv,data,"1002");
                            me.callbackFunc && me.callbackFunc(data);
                            APP.widgets.setNoRefresh(true);//防止刷新页面
                        }
                    },
                        cityCode:option.cityCode,
                        poolId:option.poolId,
                        isMainCard:option.isMainCard,
                        hasSecondCard:option.hasSecondCard}});
                });
                if(!option.data.phoneList){
                    sb.clear();
                    sb.append('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2"><span class="ty-a1">选号码</span></div>');
                    sb.append('<div class="ty-k16 ty-a3 ty-i8">');
                    sb.append('<div class="ty-a3" style=""><span class="ty-dot-red "></span><span class="ty-a1">请选择一个入网号码</span></div>');
                    sb.append('</div>')
                    sb.append('<div class="ty-k1 ty-a3 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
                    chooseNbrDiv.empty().append(sb.toString());
                    chooseNbrDiv.data('data',data);
                }else{
                    me._initChoseNbr(chooseNbrDiv,option.data.phoneList,option.poolId);
                    me.callbackFunc && me.callbackFunc(option.data.phoneList);
                }
                return this;
            },
			_initChoseNbr:function(chooseNbrDiv,data){//选择号码后
				
				var sb = getSBuilder();
				sb.append('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2"><span class="ty-a1">选号码</span></div>');
				sb.append('<div class="ty-k16 ty-a3 ty-i8">');
				sb.append('<div class="ty-i8 ty-a1">').append(data.accNbr.substring(0,3)).append('&nbsp;').append(data.accNbr.substring(3,7)).append('&nbsp;').append(data.accNbr.substring(7));
				if(data.regionName != 'undefined' && data.regionName != null && data.regionName != ''){
					sb.append('<span>(').append(data.regionName).append(')</span>');
				}else{
					sb.append('<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>');
				}
				sb.append('</div>');
	            sb.append('<div class="ty-a1 ty-d0" >');
	            sb.append(' <span class="ty-a1 ty-font-blue7"><span class="ty-dot-blue-small "></span>月保底消费').append(data.actMonthFee).append('元</span>');
	            sb.append('<span class="ty-a1 ty-font-blue7" style="margin-left: 16px;"><span class="ty-dot-blue-small "></span>预存话费').append(data.actPreDeposit).append('元</span>');
	            sb.append('</div>');
	            sb.append('</div>');
	            sb.append('<div class="ty-k1 ty-a3 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i></div>');
	            chooseNbrDiv.empty().append(sb.toString());
	            chooseNbrDiv.data('data',data);
			},
			callback:function(callback){//回调
				this.callbackFunc = callback;
			},
			data:function(){//获取数据
				return this.personData; 
			}
	};
	/*
	 *	选套餐插件
	 */
	var choosePackageWidget = function(){
		this.id = null;
		this.data = false;
		this.displayDom = null;
		this.refreshFunc = null;
		this.innerDatas = [];
		this.callbackFunc = null;
	};
	choosePackageWidget.prototype = {
			init:function(option){//初始化
				if(!option || !option.dom){
					return;
				}
				var me = this;				
				me.liData = null;
				me.common = option.common;
				me.module = option.module;
				me.callbackFunc=option.callbackFunc;
				var data= option.data;				
				var sb = getSBuilder();
				var choosePackageDiv = option.dom.find('div.choosePackageDom');
				me.url = data.url;						
				me.liData={'type':data.dataType,'fromtele':'true','name':'选择套餐类型','listData':data.listData};
				(function(liData){
					if(!choosePackageDiv[0]){						
						sb.clear();
						sb.append('<div class="ty-j1 ty-b6 choosePackageDom" style="padding: 11px 14px 8px 0;">');
						sb.append('</div>');
						choosePackageDiv = $(sb.toString());
						option.dom.empty().append(choosePackageDiv);	
						
					}
					onClick(choosePackageDiv,function(e){						
						changePage(me.url,{
							param:{
								product: liData,
								cityCode : data.cityCode,
								widgetCallback:function(data){
								me._initChosePackage(choosePackageDiv,data);
								me.callbackFunc && me.callbackFunc(data);
								widgets.setNoRefresh(true);//防止刷新页面
								}}});
					});
					
				})(me.liData);			
				sb.clear();
				sb.append('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2"><span class="ty-a1">套餐</span></div>');
				sb.append('<div class="ty-k16 ty-a3 ty-i8">');
				sb.append('<div class="ty-a3" style=""><span class="ty-dot-red "></span><span class="ty-a1">请选择一个套餐</span></div>');
				sb.append('</div>')
				sb.append('<div class="ty-k1 ty-a3 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
				choosePackageDiv.empty().append(sb.toString());
				choosePackageDiv.data('data',data);
				return this;
			},
			_initChosePackage:function(choosePackageDiv,data){//选择套餐后
				this.innerDatas = data;
				var sb = getSBuilder();
				sb.append('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2"><span class="ty-a1">套餐</span></div>');
					sb.append('<div class="ty-k16 ty-a3 ty-i8">');
						sb.append('<div style="display: block;">');
							sb.append('<div class="ty-i8 ty-a1" style="width:100%">'+data.name + (data.year && data.year != '' ? (','+ data.year + '年') : '')+'</div>');
							sb.append('<div class="ty-a1 ty-d0">');
								var flowNull = false;
								var callNull = false;
								var prayNull = false;
								if(!data.flow || data.flow == '' || data.flow == 'null'){
									flowNull = true;
								}
								if(!data.call || data.call == '' || data.call == 'null'){
									callNull = true;
								}
								if(!data.prePay || data.prePay == '' || data.prePay == 'null'){
									prayNull = true;
								}
								sb.append('<span class="ty-a1 ty-font-blue7" ' + (flowNull ? 'style="display:none;"' : '') + '><span class="ty-dot-blue-small "></span>'+data.flow+'流量</span>');
								sb.append('<span class="ty-a1 ty-font-blue7" ' + (flowNull ? (callNull ? 'style="display:none;"' : '') : (callNull ? 'style="margin-left: 16px;display:none;"' : 'style="margin-left: 16px;"')) + '><span class="ty-dot-blue-small "></span>'+data.call+'分钟</span>');
                        		sb.append('<span class="ty-a1 ty-font-blue7" ' + (flowNull && callNull ? (prayNull ? 'style="display:none;"' : '') : (prayNull ? 'style="margin-left: 16px;display:none;"' : 'style="margin-left: 16px;"')) + '><span class="ty-dot-blue-small "></span>预存话费'+data.prePay+'元</span>');
                        	sb.append('</div>');
                        sb.append(' </div>');
                     sb.append('</div>');
	            sb.append('<div class="ty-k1 ty-a3 ty-m3"><i class="iconTy0-right_btn ty-i1 ty-font-gray2"></i> </div>');
	            
	            choosePackageDiv.empty().append(sb.toString());
			},
			callback:function(callback){//回调
				this.callbackFunc = callback;
			},
			data:function(){//获取数据
				return this.innerDatas;
			}
	};
	/*
	 *	优惠券插件
	 */
	var couponsWidget = function(){
		this.id = null;
		this.displayDom = null;
		this.refreshFunc = null;
		this.page = null;
		this.dom = null;
		this.callbackFunc = null;
		this.innerDatas = [];
	};
	couponsWidget.prototype = {
			init:function(option){//初始化
				if(!option || !option.dom){
					return;
				}
				var me = this;
				me.option = option;
				//main.updateData('loginNumber','18620888888');
				if(me.option.longedWindow){
					me.initYouhuiWindow();
					return;
				}
				var defaultStr = getSBuilder().append('<div class="ty-k4 ty-a1 ty-i8 ty-font-gray2"><span class="ty-a1">优惠券</span></div><div class="ty-k16 ty-a1 ty-i8 ty-m3 "><span class="yhinfospan">未使用</span><div class="ty-a3 ty-m3 ty-nowrap noUse"><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span><span class="ty-dot-gray"></span> </div></div>');
				option.dom.empty().append(defaultStr.toString());
				onClick(option.dom,function(e){
					me.initYouhuiWindow();
				});
			},
			initYouhuiWindow:function(){
				var me = this;
				var sb = getSBuilder();
				if(!me.option.longedWindow){
					sb.append('<div class="ty-mask yuihuiWindow" >').append('<div class="ty-o2 ty-k20 ty-p3 ty-p2" style="width: 100%;height: auto;background: #f8f8f8;">'+
							'<div class="ty-c7 ty-l47 ty-z2  ty-bj-white ty-bj-gray6 ty-i10" style="height: 44px;">'+
							'<div class="ty-b1">'+
								'<div class="ty-c4 ty-k2 ty-a1 ty-font-gray10"></div>'+
								'<div class="ty-c4 ty-k16 ty-m1 ty-a1 ty-i12 ty-font-gray">优惠券</div>'+
								'<div class="ty-c4 ty-k2  ty-font-gray ty-m3 ty-a1 closeimgyhj"><img src="' +imagePrefix+ 'm_close_btn.png" style="width: 17px;margin-right: 5px;"> </div>'+
					        '</div>'+
						'</div>'+
						'<div class="ty-bj-white ty-font-gray " style="min-height: 180px;" >'+
							'<div class=" ty-b6" style="padding: 10px 14px 10px 0;">'+
					        	'<div class="ty-c7 ty-z2">'+
									'<div class="ty-c7 ty-z2 " style="width: 80%"><input type="text" class="ty-coupon-input ty-c7" placeholder="手动输入券码"></div>'+
									'<div class=" ty-c7 ty-z2 ty-m5  ty-coupon-btn validationBtn"><span class="ty-c7 ">验证</span></div>'+
								'</div>'+
							'</div><div class="app-wrapper"><div class="app-v-scroller"><div class="yuihuiContent"></div></div></div><div class="defaultNologin"><div class="ty-bj-gray6 ty-c7 ty-z2 ty-m5 ty-i8" style="border-radius: 3px;height: 46px;margin: 12px 14px 11px 15px;"><div class="ty-m1"><div class="ty-c7 ty-z2 ty-m5">当前是未登录状态，您可以登录后查看账户下的优惠券</div><div class="ty-c7 ty-z2 ty-m5">您也可以手动输入券码验证</div></div></div></div>'+
						'<div class="validataListyhj"><div class="ty-n1 ty-font-white ty-i9 ty-c7 ty-z2 ty-m5 ty-bj-blue ty-k20 loginshowyhj" style="height: 44px;line-height:44px;text-align:center;">登录查看优惠券</div></div>'+
			        '</div>'+
				'</div>').append('</div>');
					me.option.page.find('div.yuihuiWindow').remove();
					me.option.page.append(sb.toString());
					
					me.yuihuiScroll = APP.framework.scroll.initVScroll({
						wrapper:me.option.page.find('div.yuihuiWindow').find('div.app-wrapper'),
						scrollHeight:window.innerHeight * 0.4,
						selfDefined:true
					});
					//关闭
					onClick(me.option.page.find('div.closeimgyhj'),function(target){
						me.option.page.find('div.yuihuiWindow').hide();
					});
					onListClick(me.option.page.find('div.yuihuiWindow'),function(target){
						if(target.hasClass('validataListyhj')){//未登录
							me.noRefreshStatus = true;
							main.login();
						}else if(target.hasClass('validationBtn')){
							var input = me.option.page.find('input.ty-coupon-input').val();
							if(input == null || input == '' || $.trim(input) == ''){//验空
								var tipnoId = $('<div class="ty-mask-tip">请先输入优惠券号</div>');
								me.option.page.append(tipnoId);
								 setTimeout(function(){
									 tipnoId.hide();
									},2000);
								return;
							}
							input = $.trim(input);
							if(me.option.page.find('div.yuihuiContent').find("div[yhId='" + input + "']")[0]){
								var tipnoId = $('<div class="ty-mask-tip">优惠券号重复</div>');
								me.option.page.append(tipnoId);
								 setTimeout(function(){
									 tipnoId.hide();
									},2000);
								return;
							}
							me.option.callback.validateInput(input,function(data){
								me.validateSuccess(data);
							},function(data){
								me.validateError(data);
							});
						}
					},'div.validataListyhj,div.validationBtn');
					
					onListClick(me.option.page.find('div.yuihuiContent'),function(target){
						if(target.hasClass('yuihuiItem')){//
							target.parent().find('img.yuihuiitemimage').each(function(){
								$(this).attr('src',$(this).attr('src').replace('check_w.png','check_w_k.png'));
							});
							target.find('img.yuihuiitemimage').attr('src',target.find('img.yuihuiitemimage').attr('src').replace('check_w_k.png','check_w.png'));
							me.option.dom.find('span.yhinfospan').html('减' + target.data('item').voucherAmount);
							me.option.callback.selectedItem(target.data('item'));
							me.option.longedWindow = true;
							me.option.page.find('div.yuihuiWindow').hide();
						}
					},'div.yuihuiItem');
				}else{
					me.option.page.find('div.yuihuiWindow').show();
				}
				
				var status = main.getData('loginStatus');
				if(status != 0 && status != '0'){//登录情况下
					me.option.page.find('div.validataListyhj').hide();
					me.option.callback.loginedCallback(function(data){
						me.validateSuccess(data,true);
					},function(data){
						me.validateError(data);
					});
					me.option.page.find('div.yuihuiWindow').find('div.defaultNologin').hide();
				}else{
					if(!me.option.longedWindow){
						me.option.page.find('div.validataListyhj').show();
						me.option.page.find('div.yuihuiWindow').find('div.defaultNologin').show();
						me.validateError();
					}
				}
				
				me.yuihuiScroll.refresh();
			},
			validateSuccess:function(data,logined){//成功
				var me = this;
				if(logined){
					if(data.body && data.body.redEnvelope && data.body.redEnvelope.length > 0){
						var list = data.body.redEnvelope;
						for(var i = 0; i < list.length; i++){
							me._domYuihuiSuccess(list[i]);
						}
					}
					return;
				}
				if(data.body && data.body.voucherInfo){
					me._domYuihuiSuccess(data.body.voucherInfo);
				}else{
					me.validateError(data);
				}
			},
			_domYuihuiSuccess:function(data){
				var me = this;
				var sb = getSBuilder();
				var length = me.option.page.find('div.yuihuiItem').length;
				sb.append('<div class="ty-b6 yuihuiItem" yhId="').append(data.voucherId).append('" style="padding: 0px 14px 10px 0;">');
                sb.append('<div class="ty-c7 ty-z2">');
                    sb.append('<div class="ty-c7 ty-z2 ').append(length%2 == 0 ? 'ty-coupon-tag' : 'ty-coupon-orangetag').append('" style="padding:13px 6px 13px 26px;">');
                        sb.append('<div class="ty-k18 ty-c7  ty-i8">');
                            sb.append('<div class="ty-i3 ty-a2">').append(data.voucherAmount).append('元券<span class="ty-font-blue9 ty-i8" style="margin-left: 14px;">券号：').append(data.voucherId).append('</span></div>');
                            sb.append('<div class="ty-a1">券有效期：<span>').append(data.effectTime).append('-').append(data.invalidTime).append('</span></div>');
                        sb.append('</div>');
                        sb.append('<div class="ty-k2 ty-c7 ty-z2">');
                            sb.append('<img src="').append(imagePrefix).append(length == 0 ? 'mall/check_w.png' : 'mall/check_w_k.png').append('" class=" ty-a1  yuihuiitemimage" style="width: 18px;">');
                        sb.append('</div>');
                    sb.append('</div>');
                sb.append('</div>');
                sb.append('</div>');
                var item = $(sb.toString());
                item.data('item',data);
                if(!me.option.page.find('div.yuihuiContent').find('div.yuihuiItem')[0]){
                	me.option.page.find('div.yuihuiContent').empty();
                	me.option.page.find('div.yuihuiWindow').find('div.defaultNologin').hide();
                }
                me.option.page.find('div.yuihuiContent').append(item);
                if(!me.option.page.find('div.yuihuiContent').parent().find('div.notUseYuihui')[0]){//不使用优惠券
                	var noUseItem = $('<div class="ty-i9 ty-s1 ty-font-blue10 ty-m3 notUseYuihui" style="padding: 25px 14px 10px 14px;">不使用优惠劵</div>');
                	noUseItem.insertAfter(me.option.page.find('div.yuihuiContent'));
                	onClick(noUseItem,function(){
                		me.option.page.find('div.yuihuiWindow').hide();
                		me.option.dom.find('span.yhinfospan').html('未使用');
                		me.option.callback.selectedItem('');
                	});
                }
                me.yuihuiScroll && me.yuihuiScroll.refresh();
			},
			validateError:function(data){//失败
				var me = this;
				var sb = getSBuilder();
				if(data && data.TSR_CODE == 'usc_promotion_30003'){//验证失败
					sb.append('<div class="ty-m1" style="margin-top: 8px"><img src="').append(imagePrefix).append('coupon_err.png" style="width: 102px;"> </div>');
					sb.append('<div class="ty-i8 ty-m1" style="margin-top: 8px">亲~优惠券验证失败喔~</div>');
	                me.option.page.find('div.yuihuiContent').empty().append(sb.toString());
				}else{
					sb.append('<div class="ty-m1" style="margin-top: 8px"><img src="').append(imagePrefix).append('coupon_empty.png" style="width: 102px;"> </div>');
					sb.append('<div class="ty-i8 ty-m1" style="margin-top: 8px">亲~没有优惠券喔~</div>');
	                me.option.page.find('div.yuihuiContent').empty().append(sb.toString());
				}
				me.yuihuiScroll && me.yuihuiScroll.refresh();
			},
			callback:function(callback,mask,useryjhDomDiv,tag,voucherId){//回调
				this.callbackFunc&&this.callbackFunc(callback,mask,useryjhDomDiv,tag,voucherId);				
			},
			data:function(){//获取数据
				return this.innerDatas;
			}
	};
			
	/*
	 *	选副卡插件
	 */
	var chooseSecondCardWidget = function(){
		this.id = null;
		this.data = false;
		this.displayDom = null;
		this.refreshFunc = null;
		this.choseCardData = [];
		this.callbackFunc = null;
		this.disableOrder = null;
	};
	
	chooseSecondCardWidget.prototype = {
			init:function(option){//初始化
				if(!option || !option.dom){
					return;
				}
				if(option.disableOrder){
					this.disableOrder = option.disableOrder;
				}
				if(option.maxCount){
					this.maxCount = option.maxCount;
				}
				var me = this;
				me.callbackFunc=option.callbackFunc;
				me.data = null;
				me.common = option.common;
				me.module = option.module;
				var data = option.data;
				
				option.dom.empty();
				me._buildInitDom(option);
				
				var chooseSCDiv = option.dom.find('div.chooseSecondCardDom');
				
				//业务介绍
				var toBusinessIntro = chooseSCDiv.find('img.toBusinessIntro');
				onClick(toBusinessIntro,function(e){
					changePage('newEPhone/businessIntro',{param:{widgetCallback:function(){
						widgets.setNoRefresh(true);//防止刷新页面
						window.history.go(-1);
					}}});
				});
				
				//办卡
				var plusOneCard = option.dom.find('div.plusOneCard');
				onClick(plusOneCard,function(e){
				if(option.data.packData){
					if(option.data.cityCode){
						if(option.hasChoseMainCard == true){
							if(!me.choseCardData){
								changePage('newPrettyNumber/indexPN',{param:{widgetCallback:function(data,numberType){
									if(numberType == 'newNbr'){
										me._initChoseFirstSC(option.dom,data,me,option);
										me.callbackFunc && me.callbackFunc();
										widgets.setNoRefresh(true);//防止刷新页面
									}
								},
								cityCode:option.data.cityCode,
								mainCardData:option.module.data.mainCardData,
								poolId:option.poolId,
								isMainCard:option.isMainCard,
								hasSecondCard:option.hasSecondCard
								}});
							}else{
								changePage('newPrettyNumber/indexPN',{param:{widgetCallback:function(data,numberType){
									if(numberType == 'newNbr'){
										me._initChoseFirstSC(option.dom,data,me,option);
										me.callbackFunc && me.callbackFunc();
										widgets.setNoRefresh(true);//防止刷新页面
									}
								},
								cityCode:option.data.cityCode,
								mainCardData:option.module.data.mainCardData,
								secondCardData:me.choseCardData,
								poolId:option.poolId,
								isMainCard:option.isMainCard,
								hasSecondCard:option.hasSecondCard
								}});
							}
						}else{
							changePage('newPrettyNumber/indexPN',{param:{widgetCallback:function(data){
								me._initChoseFirstSC(option.dom,data,me,option);
								me.callbackFunc && me.callbackFunc();
								widgets.setNoRefresh(true);//防止刷新页面
							},
							cityCode:option.data.cityCode,	
							poolId:option.poolId,
							isMainCard:option.isMainCard,
							hasSecondCard:option.hasSecondCard
							}});
						}
						
					}else{
						option.tipDom.html('请先选择一个入网号码');
						option.tipDom.show();
						setTimeout(function(){
							option.tipDom.hide();
						},3000);
					}
				}else{
					option.tipDom.html('请先选择套餐');
					option.tipDom.show();
					setTimeout(function(){
						option.tipDom.hide();
					},3000);
				}
			});
				
			},
			_buildInitDom:function(option){
				var sb = getSBuilder();
				var chooseSCDiv = option.dom.find('div.chooseSecondCardDom');
				if(!chooseSCDiv[0]){
					sb.clear();
					sb.append('<div class="chooseSecondCardDom ty-b6" style="padding: 11px 14px 11px 0;">');
					sb.append('</div>');
					chooseSCDiv = $(sb.toString());
					option.dom.empty().append(chooseSCDiv);
					
				}
				sb.clear();
				sb.append('<div class="ty-k3_1 ty-a1 ty-i8 ty-font-gray2" style="line-height: 13px;"><span class="ty-a1">副卡</span><img src="'+ handleDomainContent("http://wapjs.189.cn/stores/images/m_yiwen.png") +'" class="ty-a1 toBusinessIntro" style="width: 14px;height: 14px;">');
				sb.append('</div>');
				sb.append('<div class="ty-k12 ty-a1 ty-i8" style="line-height: 13px;">共享主套餐通话流量</div>');
				sb.append('<div class="orderSecondCard ty-k5 ty-a1 ty-m3 ty-font-orange2 ty-i8 plusOneCard" style="line-height: 13px;">办一张<span class="ty-o1 plusFlag" style="top:-1px;">+</span>');
				sb.append('</div>');
				sb.append('<div class="cancelSecondCard ty-k5 ty-a1 ty-m3 ty-font-orange2 ty-i8" style="display:none;">取消办理 </div>');
				chooseSCDiv.empty().append(sb.toString());
				var choseSCList = option.dom.find('div.choseSCList');
				var plusOneCard = option.dom.find('div.plusOneCard');
				if(!choseSCList[0]){
					sb.clear();
					sb.append('<div class="choseSCList"></div>');
					option.dom.append(sb.toString());
				}
				sb.clear();
				sb.append('<div class="plusOneCard oneMoreBtn ty-j2 ty-b7 ty-font-orange2 ty-i8 ty-bj-white ty-m1" style="padding: 10px 14px 11px 0;display:none;">再添一张');
				sb.append('<span class="ty-o1" style="top:0px;font-weight: bold;font-size: 16px;">+</span>');
				sb.append('</div>');
				option.dom.append(sb.toString());
				
			},
			_initChoseFirstSC:function(PDom,data,me,option){
				
				me.choseCardData.push(data);
				me._buildCardDom(PDom,me.choseCardData);
				if(me.maxCount == 1){
					if(me.choseCardData.length == 1){
						PDom.find('div.orderSecondCard').hide();
						PDom.find('div.cancelSecondCard').show();
					}
				}else{
					if(me.choseCardData.length >= 1 && me.choseCardData.length < me.maxCount){
						PDom.find('div.orderSecondCard').hide();
						PDom.find('div.cancelSecondCard').show();
						PDom.find('div.oneMoreBtn').show();
					}else if(me.choseCardData.length == me.maxCount){
						PDom.find('div.oneMoreBtn').hide();
					}
				}
				
				
				onClick(PDom.find('div.cancelSecondCard'),function(){
					me.choseCardData.splice(0,me.choseCardData.length);
					me._buildCardDom(PDom,me.choseCardData);
					PDom.find('div.orderSecondCard').show();
					PDom.find('div.cancelSecondCard').hide();
					PDom.find('div.oneMoreBtn').hide();
					me.disableOrder();
					me.common.scroll[0].refresh();
					me.common.scroll[1].refresh();
				});
				
				onListClick(PDom.find('div.choseSCList'),function(target){
					var index = PDom.find('div.deletOneCard').index(target[0]);
					me.choseCardData.splice(index,1);
					if(me.choseCardData.length == 0){
						target.parent().remove();
						PDom.find('div.orderSecondCard').show();
						PDom.find('div.cancelSecondCard').hide();
						PDom.find('div.oneMoreBtn').hide();
						me.disableOrder();
					}else if(me.choseCardData.length >= 1 && me.choseCardData.length < me.maxCount){
						target.parent().remove();
						PDom.find('div.orderSecondCard').hide();
						PDom.find('div.cancelSecondCard').show();
						PDom.find('div.oneMoreBtn').show();
					}else{
						me._buildCardDom(PDom,me.choseCardData);
						
					}
					me.common.scroll[0].refresh();
					me.common.scroll[1].refresh();
				},'div.deletOneCard');
			},
			_buildCardDom:function(PDom,choseCardData){
				PDom.find('div.choseSCList').empty();
				for(var j = 0;j < choseCardData.length;j++){
					var dataC = this.choseCardData[j];
					var scli = getSBuilder();
					scli.append('<div class="ty-j2 ty-b6" style="padding: 10px 14px 11px 0;">');
					scli.append('<div class="ty-k3_1 ty-a3 ty-i8 ty-font-gray2 ty-m1"><span class="ty-a1">').append(j+1).append('、</span></div>');
					scli.append('<div class="ty-k16 ty-a3 ty-i8">');
					scli.append('<div class="ty-n1">');
					scli.append('<span class="ty-a1">').append(dataC.accNbr.substring(0,3)).append('&nbsp;').append(dataC.accNbr.substring(3,7)).append('&nbsp;').append(dataC.accNbr.substring(7))
					if(dataC.regionName != 'undefined' && dataC.regionName != null && dataC.regionName != ''){
						scli.append('(').append(dataC.regionName).append(')');
					}
					scli.append('</span>');
					scli.append('</div>');
					scli.append('<div class="ty-n1" style="margin-top: 5px;">');
					scli.append('<span class="ty-a1 ty-font-blue7"><span class="ty-dot-blue-small "></span>月功能费 10元/月</span>');
					scli.append(' </div>');
					scli.append('</div>');
					scli.append('<div class="ty-k1 ty-a3 ty-m3 ty-nowrap deletOneCard"><i class="tyfont iconTy0-close2 ty-i11 ty-font-gray2"></i></div>');
					scli.append('</div>');
					PDom.find('div.choseSCList').append(scli.toString());
				}
			},
			data:function(){
				return this.choseCardData;
			}
	};

	
	widgetMall.init = function(){
		widgets.add('wList',listWidget);//列表条件选择控件
		widgets.add('wOrderInfoWidget',OrderBaseInfo);
		widgets.add('wDiscountListWidget',discountListWidget);
		widgets.add('wSalesPackWidget',salesPackWidget);//优惠套装控件
		widgets.add('winstallInWidget',installInWidget);//安装信息控件
		widgets.add('wNetInWidget',NetInWidget);//入网信息控件
		widgets.add('wInvoceWidget',invoceWidget);//发票控件
		widgets.add('wBonusWidget',bonusWidget);//订单积分控件
		widgets.add('wChooseNbrWidget',chooseNbrWidget);//选号码控件 
		widgets.add('choosePackageWidget',choosePackageWidget);//选套餐控件
		widgets.add('wcouponsWidget',couponsWidget);//优惠券控件
		widgets.add('wchooseSecondCardWidget',chooseSecondCardWidget);//选副卡控件
	}
	module.exports = widgetMall;
});