var gulp = require('gulp');
var minify = require('gulp-minify');
var concat = require('gulp-concat');
var uglify= require('gulp-uglify');
var jsencrypt= require('gulp-js-encrypt');
var minifycss = require('gulp-minify-css');

gulp.task('default',['concatJs1','concatJs2'], function() {//,'minifyJQM'
    // 将你的默认的任务代码放在这
    console.log("default");
});
gulp.task('concatJs1', function() {
    // 将你的默认的任务代码放在这
    gulp.src([
        '../../resources/jsdebug/app/app.base.js',
        '../../resources/jsdebug/app/app.config.js',
        '../../resources/jsdebug/app/app.tool.js',
        '../../resources/jsdebug/app/app.module.js',
        '../../resources/jsdebug/app/app.framework.js',
        '../../resources/jsdebug/app/app.underly.js',
        '../../resources/jsdebug/app/app.interface.js',
        '../../resources/jsdebug/app/app.third.party.js',
        '../../resources/jsdebug/app/app.page.js',
        '../../resources/jsdebug/app/app.ui.js',
        '../../resources/jsdebug/app/app.ui.default.js',
        '../../resources/jsdebug/app/app.widgets.js',
        '../../resources/jsdebug/app/app.widget.mall.js',
        '../../resources/jsdebug/app/app.main.js',
        '../../resources/jsdebug/app/app.init.js'
    ]) // 匹配 'client/js/sdebugomedir/somefile.js' 并且将 `base` 解析为 `client/js/`
        // .pipe(concat('app.all.js'))
        .pipe(uglify())//混淆 
        .pipe(jsencrypt())//加密
        .pipe(minify({
            ext:{
                // src:'.debug.js',
                min:'.js'
            },
            noSource:true
        }))
        // 写入 'build/somedir/somefile.js'
        .pipe(gulp.dest('../js/app'));

});
gulp.task('concatJs2', function() {
    // 将你的默认的任务代码放在这
    gulp.src([
        '../../resources/jsdebug/city.data.js',
        '../../resources/jsdebug/compatible.low.js',
        '../../resources/jsdebug/datePicker.js',
        '../../resources/jsdebug/fixcode.js',
        '../../resources/jsdebug/ipv6.js',
        '../../resources/jsdebug/load.js',
        '../../resources/jsdebug/picker.js',
        '../../resources/jsdebug/qrcode.js',
        '../../resources/jsdebug/radialProgress.js',
    ]) // 匹配 'client/js/sdebugomedir/somefile.js' 并且将 `base` 解析为 `client/js/`
        // .pipe(concat('app.all.js'))
        .pipe(uglify())//混淆
        .pipe(jsencrypt())//加密
        .pipe(minify({
            ext:{
                // src:'.debug.js',
                min:'.js'
            },
            noSource:true
        }))
        // 写入 'build/somedir/somefile.js'
        .pipe(gulp.dest('../js'));

});


gulp.task('concatCss', function() {
    // 将你的默认的任务代码放在这
    // gulp.src([
    //     '../../resources/css/jquery.mobile-1.4.5.min.css',
    //     '../../resources/css/framework.css',
    //     '../../resources/css/loading.css',
    //     '../../resources/css/app.public.css',
    //     '../../resources/css/app.module.css',
    //     '../../resources/css/fonts.css',
    //     '../../resources/css/fontStyle-lite.css',
    //     '../../resources/css/ty-fontStyle.css',
    //     '../../resources/css/style.app.css',
    //     '../../resources/css/swiper.css',
    //     '../../resources/css/appstore.css',
    //     '../../resources/css/compatible.low.css'
    // ]) // 匹配 'client/js/somedir/somefile.js' 并且将 `base` 解析为 `client/js/`
    //     .pipe(concat('all.css'))
    //     .pipe(minifycss())
    //     .pipe(gulp.dest('../../resources/css/'));  // 写入 'build/somedir/somefile.js'

});


// gulp.task('minifyJQM', function() {
//     // 将你的默认的任务代码放在这
//     gulp.src([
//         '../../resources/js/jquery.mobile-1.4.5.js',
//     ]) // 匹配 'client/js/somedir/somefile.js' 并且将 `base` 解析为 `client/js/`
//         .pipe(concat('jquery.mobile-1.4.5.min.js'))
//         .pipe(minify())
//         .pipe(gulp.dest('app'));
// });
