/**
 * adobe插码js定义
 */
cordova.define("insertcode.InsertCode", function(require, exports, module) {
	var exec = require('cordova/exec');
	
	/**
	 * adobe插码对象
	 */
	var InsertCode = function(){}
	
	/**
	 * 对象方法定义
	 */
	InsertCode.prototype = {
			/**
			 * 获取唯一标识符
			 */
			getIdentify:function(successCallback,errorCallback){
				exec(successCallback, errorCallback, "InsertCode", "getIdentify", []);
			},

			trkLoginAction:function(successCallback,errorCallback,options){
				exec(successCallback, errorCallback, "InsertCode", "trkLoginAction", [options]);
			},
			trkAppAction:function(successCallback,errorCallback,options){
				exec(successCallback, errorCallback, "InsertCode", "trkAppAction", [options]);
			},
			trkAppState:function(successCallback,errorCallback,options){
				
				exec(successCallback, errorCallback, "InsertCode", "trkAppState", [options]);
			}
			
	}
	
	module.exports = new InsertCode();
});