/**
 * 微信登录插件定义
 */
cordova.define("weixin.WeixinLaunchMiniProgram", function(require, exports, module) {
	var exec = require('cordova/exec');
	
	/**
	 * 微信拉起小程序
	 */
	var WeixinLaunchMiniProgram = function(){
		/**
		 * 回调方法map
		 */
		this.callback = {};
	}
	
	/**
	 * 微信拉起小程序方法定义
	 */
	WeixinLaunchMiniProgram.prototype = {
		/**
		 * 执行回调方法
		 */
		excuteCallback:function(errCode,errMsg){
			if(errCode == 0 || errCode == '0'){
				this.callback.success && this.callback.success(errCode,errMsg);
			}else{
				this.callback.error && this.callback.error(errCode,errMsg);
			}
		},
		/**
		 * @param {Object} option 参数
		 * @param {Function} option.success 成功回调
		 * @param {Function} option.error 失败回调
		 */
		launchMiniProgram:function(option){
			this.callback = {
				success:option.success,
				error:option.error
			}
			exec(option.success,option.error,"WeixinLaunchMiniProgram","launchMiniProgram",[option]);
		}
	}
	
	module.exports = new WeixinLaunchMiniProgram();
});